<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:common="http://common.bitel.ru"
	xmlns:utils="ru.bitel.common.Utils">

  	<xsl:output method="html" encoding="windows-1251"/>

	<xsl:decimal-format name="summa" decimal-separator="." grouping-separator=" "/>

	<xsl:template match="/">
		<xsl:call-template name="main">
			<xsl:with-param name="mode" select="'login'"/>
		</xsl:call-template>
	</xsl:template>

	<xsl:variable name="WEBEXECUTER">webexecuter</xsl:variable>
	<xsl:variable name="PDFEXECUTER">pdfexecuter</xsl:variable> 
	<xsl:variable name="PUBEXECUTER">pubexecuter</xsl:variable> 
	<xsl:variable name="CONTRACT_ID"><xsl:value-of select="/data/@id"/></xsl:variable>

	<xsl:template name="main">
		<xsl:param name="mode"/>

		<xsl:variable name="contractTitle" select="/data/@contract"/>
		<xsl:variable name="pageTitle"><xsl:call-template name="title"/></xsl:variable>
<html>
	<head>
		<title>BGBilling || <xsl:value-of select="$pageTitle"/></title>
		<link rel="stylesheet" type="text/css" href="style.css"/>
		<script language="javascript" type="text/javascript" src="js/jquery-min.js"></script>
		<script language="javascript" type="text/javascript" src="js/jquery.form.js"></script>
		<script language="javascript" type="text/javascript" src="js/jquery.ui.js"></script>
		<script language="javascript" type="text/javascript" src="js/common.js"></script>
		<xsl:call-template name="head"/>
	</head>
	<body>
		<table width="100%" border="0" cellpadding="0" cellspacing="0" height="100%">
		<tr>
		<td>
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr><td id="idTdLogo"><div></div></td><td id="idTdLogo2"><div></div></td></tr>
        </table>
        </td>
      </tr>
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="0" id="idTableContractTitle" class="header">
            <tr>
              <th><div></div></th>
              <td width="100%"><strong>
              	<xsl:if test="$mode='login'">  <xsl:value-of select="$contractTitle"/></xsl:if>
              	<xsl:if test="$mode='pub'"><xsl:value-of select="$pageTitle"/></xsl:if>
              </strong></td>
            </tr>
          </table></td>
      </tr>
      <tr>
        <td id="idTdSubContracts" class="menu">
        <xsl:for-each select="/data/sub_contract">
		<strong>:</strong><a href="{$WEBEXECUTER}?action=Super&amp;mid=contract&amp;id=-1"><xsl:value-of select="@title"/></a><img src="img/0.gif"/>
		</xsl:for-each>  
		<xsl:for-each select="/data/super_contract">
		<strong>:</strong><a href="{$WEBEXECUTER}?action=Super&amp;mid=contract&amp;id=-1"><xsl:value-of select="@title"/></a><img src="img/0.gif"/>
		</xsl:for-each>
		<xsl:if test="/data/sub_contracts">
		<strong>:</strong>
		<xsl:for-each select="/data/sub_contracts/item">
			<a href="{$WEBEXECUTER}?action=Super&amp;mid=contract&amp;id={@id}"><xsl:value-of select="@title"/></a>
		<xsl:if test="following-sibling::*"><img src="img/peregorodki.gif"/></xsl:if>
		</xsl:for-each>
		</xsl:if>
		&#xA0;
		</td>
      </tr>
      <tr>
        <td>        
        	<noscript>
        		<div class="errorMessage">
					!!!        
					 JavaScript  .    
					<a href="help/javascript.html"></a>.
				</div>
        	</noscript>
       	
        </td>
      </tr>
      <script language="javascript" type="text/javascript">
      <![CDATA[ <!--
      	var ccc = document.cookie;
     	if ( ccc == undefined || ccc.length == 0 || ccc.indexOf( "JSESSIONID" ) == -1 )
     	{
     		//document.write( '<td class="er ror"><div style="margin: 10pt; text-align: center;">!!!          Cookies  .     <a href="help/cookies.html"></a>.</div></td>' );
     		document.write( '<div class="errorMessage">!!!          Cookies  .     <a href="#"	onClick="window.open(\'help/cookies.html\', \'mywin2\', \'toolbar=no,status=no,width=600,height=455\'); return false;"></a>.</div>' );
     	}
      	-->
      	]]> 
      </script>
      <tr>
        <td id="idTdSubContractsLine" class="line"><div/></td>
      </tr>
      <tr>
        <td valign="top" height="100%"><table width="100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
            	<xsl:if test="$mode='login'">	
	              <td id="idTdLeftPanel"><table border="0" cellspacing="0" cellpadding="0" id="idTableMenu" class="menu">
	                  <thead>
	                    <tr>
	                      <td colspan="2"><strong></strong></td>
	                    </tr>
	                  </thead>
	                  <tbody>
	
	                    <xsl:call-template name="standart_menu"/>
	
						<xsl:for-each select="data/menu/item">
							<tr>
		                      <th><img src="img/strelki.gif"/></th>
		                      <td><a href="?action={@action}&amp;mid={@mid}&amp;module={@module}&amp;contractId={$CONTRACT_ID}"><xsl:value-of select="@title"/></a></td>
		                    </tr>
						</xsl:for-each>		
						<tr>
	                      <th><img src="img/strelki.gif"/></th>
	                      <td><a onClick="return confirm('  ?');" href="?action=Exit&amp;mid=contract"></a></td>
	                    </tr>
						
	                  </tbody>
	                  <tfoot>
	                    <tr>
	                      <td colspan="2">&#x0A;</td>
	                    </tr>
	                  </tfoot>
	                </table></td>
	             </xsl:if>   
                <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <xsl:if test="$mode='login'">	
	                  <tr>
	                    <td><table width="100%" border="0" cellspacing="0" cellpadding="0" id="idTableHeader" class="header">
	                        <tr>
	                          <th><div></div></th>
	                          <td width="100%"><strong id="pageTitle"><xsl:value-of select="$pageTitle"/></strong></td>
	                        </tr>
	                      </table></td>
	                  </tr>
	              </xsl:if>    
                  <tr>
                    <td valign="top" id="idTdContent">
					  <div id="idDiv{data/@action}">
						<xsl:apply-templates/>
					  </div>
                    </td>
                  </tr>
                </table></td>
            </tr>
          </table></td>
      </tr>
      <tr>
        <td id="idTdFooterMargin"></td>
      </tr>
      <tr>
        <td class="line"><div></div></td>
      </tr>
      <tr>
        <td height="45" align="right" id="idTdFooter"> 2007 - <xsl:value-of select="/data/@year"/> <a href="http://www.bitel.ru/" style="color: white;"> BiTel, Ltd.</a></td>
      </tr>
    </table>
    </body>
    </html>
  </xsl:template>

	<xsl:template name="title">
	</xsl:template>

	<!--
	    . - .    "text",
	         ,   
	 ,   /data/text(),     
	  (!)  ,      .
	-->
	<!--
		 ,     "message"   ,
		    
	-->
	<!-- TODO          ! -->
	<xsl:template name="error">
		<xsl:param name="text"/>
		<xsl:choose>
			<xsl:when test="$text"><div class="errorMessage"><xsl:value-of select="$text"/></div></xsl:when>
			<xsl:when test="@status = 'error'">
				<div class="errorMessage"><b>:</b>&#160;<pre><xsl:value-of select="/data/text()"/></pre></div>
			</xsl:when>
			<!--      -->
			<xsl:when test="@status = 'message'">
				<div class="infoMessage"><xsl:value-of select="/data/text()"/></div>
			</xsl:when>
			<!--       .       Web . -->
			<xsl:otherwise>
				<xsl:for-each select="/data/error">
					<br/>
					<div class="errorMessage">
						<xsl:for-each select="row">
							<xsl:value-of select="@text"/> <br/>
						</xsl:for-each>
					</div>	
				</xsl:for-each>	
				
				<xsl:for-each select="/data/message">
					<br/>
					<div class="infoMessage">		
						<xsl:for-each select="row">
							<xsl:value-of select="@text"/> <br/>
						</xsl:for-each>	
					</div>
				</xsl:for-each>		
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<!--
	   ,      onClick  .
	        .
	      ,    . img - 
	 ,      (,  ,  ),
	     /img/  .   
	 'align' -   ,     (,
	     "").
	-->
	<xsl:template name="button">
		<xsl:param name="title"/>
		<xsl:param name="onclick"/>
		<xsl:param name="align"/>
		<xsl:param name="img"/>
		<xsl:param name="disable" select="'false'" />
		<xsl:choose>
			<xsl:when test="$disable = 'true'" >
				<div  >
					<table border="0" cellpadding="0" cellspacing="0" class="button">
						<xsl:if test="$align">
							<xsl:attribute name="align"><xsl:value-of select="$align"/></xsl:attribute>
						</xsl:if>
						<tr>			
							<td class="l"></td><td class="m" nowrap="nowrap"><xsl:if test="$img"><img src="img/{$img}" alt="*"/></xsl:if><xsl:value-of select="$title"/></td><td class="r"></td>
						</tr>
					</table>
				</div>
			</xsl:when>
			<xsl:otherwise>
				<div onclick="{$onclick}">
					<table border="0" cellpadding="0" cellspacing="0" class="button">
						<xsl:if test="$align">
							<xsl:attribute name="align"><xsl:value-of select="$align"/></xsl:attribute>
						</xsl:if>
						<tr>			
							<td class="l"></td><td class="m" nowrap="nowrap"><xsl:if test="$img"><img src="img/{$img}" alt="*"/></xsl:if><xsl:value-of select="$title"/></td><td class="r"></td>
						</tr>
					</table>
				</div>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	<!--
	 ,    -     .
	      .
	-->
	<xsl:template name="rawLinkButton">
		<xsl:param name="title"/>
		<xsl:param name="url"/>
		<xsl:param name="align"/>
		<xsl:call-template name="button">
			<xsl:with-param name="title" select="$title"/>
			<xsl:with-param name="align" select="$align"/>			
			<xsl:with-param name="onclick">document.location.href='<xsl:value-of select="$url"/>';</xsl:with-param>
		</xsl:call-template>
	</xsl:template>
	
	<!--
	  ,  OK  CANCEL,    -   .
	    - submit   ( )  reset
	    ( ).    .
	-->
	<xsl:template name="okCancel">
		<xsl:param name="title1"/>
		<xsl:param name="title2"/>
		<xsl:param name="onclick1"/>
		<xsl:param name="onclick2"/>
		<xsl:variable name="hidname" select="generate-id()"/>
		<input type="hidden" name="{$hidname}" id="{$hidname}" />
		<div>
			<table border="0" cellpadding="0" cellspacing="0" align="right">
				<tr>
					<td class="layout">
						<xsl:call-template name="button">
							<xsl:with-param name="title">
								<xsl:choose>
								<xsl:when test="$title1"><xsl:value-of select="$title1"/></xsl:when>
								<xsl:otherwise></xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
							<xsl:with-param name="onclick">
								<xsl:choose>
								<xsl:when test="$onclick1"><xsl:value-of select="$onclick1"/></xsl:when>
								<xsl:otherwise>jQuery('#<xsl:value-of select="$hidname"/>')[0].form.submit()</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
						</xsl:call-template>
					</td>
					<td class="layout" style="padding-left: 10px ! important">
						<xsl:call-template name="button">
							<xsl:with-param name="title">
								<xsl:choose>
								<xsl:when test="$title2"><xsl:value-of select="$title2"/></xsl:when>
								<xsl:otherwise></xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
							<xsl:with-param name="onclick">
								<xsl:choose>
								<xsl:when test="$onclick2"><xsl:value-of select="$onclick2"/></xsl:when>
								<xsl:otherwise>jQuery('#<xsl:value-of select="$hidname"/>')[0].form.reset()</xsl:otherwise>
								</xsl:choose>
							</xsl:with-param>
						</xsl:call-template>
					</td>
				</tr>
			</table>
		</div>
	</xsl:template>

	<!-- TODO    -      "  form" -->
	<xsl:template name="submit">
		<xsl:param name="title"/>
		<xsl:param name="align"/>
		<xsl:param name="guid"/>
		<xsl:param name="confirm"/>
		<xsl:param name="disable" select="'false'" />
		
		<xsl:variable name="hidname" select="utils:guid()" />
		 
		<input type="hidden" name="{$hidname}" id="{$hidname}" />
		<xsl:call-template name="button">
			<xsl:with-param name="title">
				<xsl:choose>
					<xsl:when test="$title"><xsl:value-of select="$title"/></xsl:when>
					<xsl:otherwise></xsl:otherwise>
				</xsl:choose>
			</xsl:with-param>
			<xsl:with-param name="onclick"><xsl:if test="$confirm">if (confirm('<xsl:value-of select="$confirm"/>')) </xsl:if>jQuery('#<xsl:value-of select="$hidname"/>')[0].form.submit()</xsl:with-param>
			<xsl:with-param name="align" select="$align"/>
			<xsl:with-param name="disable" select="$disable" />
		</xsl:call-template>
	</xsl:template>

	<!--
	  ,  .
	     .      
	 guid,     .    ,
	     -    -    
	 generate-id()    .  - guid  +
	  .  ,      data, 
	   title   align,   
	  guid,      . 
	   .    confirm -   -
	          . img - 
	       ( /img/  )
	-->
	<xsl:template name="formButton">
		<xsl:param name="data"/>
		<xsl:param name="title"/>
		<xsl:param name="img"/>
		<xsl:param name="align"/>
		<xsl:param name="guid"/>
		<xsl:param name="confirm"/>
		
		<xsl:variable name="form_guid"><xsl:value-of select="generate-id()"/><xsl:value-of select="$guid"/></xsl:variable>
		
		<form method='post' action='{$WEBEXECUTER}' style="display: inline;" id="{$form_guid}">
			<!--
			<xsl:attribute name="id"><xsl:value-of select="$form_guid"/></xsl:attribute>
			-->
			<xsl:copy-of select="$data"/>			
			<xsl:call-template name="button">
				<xsl:with-param name="title" select="$title"/>
				<xsl:with-param name="img" select="$img"/>
				<xsl:with-param name="onclick"><xsl:if test="$confirm">if (confirm('<xsl:value-of select="$confirm"/>')) </xsl:if>jQuery('#<xsl:value-of select="$form_guid"/>')[0].submit()</xsl:with-param>
				<!-- 
				<xsl:with-param name="onclick">alert(jQuery('#<xsl:value-of select="$form_guid"/>')[0])</xsl:with-param>
				-->
				<xsl:with-param name="align">
					<xsl:choose>
						<xsl:when test="$align"><xsl:value-of select="$align"/></xsl:when>
						<xsl:otherwise>center</xsl:otherwise>
					</xsl:choose>
				</xsl:with-param>				
			</xsl:call-template>
		</form>
	</xsl:template>
	
	<!-- TODO:  - ,   ..   -->
	<!--     -    ,    .   ,      -->
	<!--   !
	<xsl:template name="report">
		<xsl:param name="data"/>
		<xsl:param name="node"/>

		<xsl:if test="$node/@pageIndex">
		<div class="report">
			<table border="0" cellpadding="0" cellspacing="0">
				<tr><td class="layout" align="right">
					<input type="hidden" name="pageIndex" value="1" id="idPageIndex"/>
					<xsl:call-template name="pages">
						<xsl:with-param name="node" select="$node"/>
					</xsl:call-template>
				</td></tr>
				<tr><td class="layout">
					<div>
						<xsl:copy-of select="$data"/>
					</div>
				</td></tr>
				<tr><td class="layout" align="right">
					<xsl:call-template name="pages">
						<xsl:with-param name="node" select="$node"/>
					</xsl:call-template>
				</td></tr>
			</table>
		</div>
		</xsl:if>
	</xsl:template>
	-->

	<!-- TODO:  - ,   ..   -->
	<!--   !
	<xsl:template name="pages">
		<xsl:param name="node"/>

		<xsl:if test="$node/@pageIndex">
			<xsl:variable name="pages">
				<xsl:choose>
				<xsl:when test="$node/@pageCount and $node/@pageCount > 0"><xsl:value-of select="$node/@pageCount"/></xsl:when>
				<xsl:otherwise>1</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="page">
				<xsl:choose>
				<xsl:when test="$node/@pageIndex"><xsl:value-of select="$node/@pageIndex"/></xsl:when>				
				</xsl:choose>
			</xsl:variable>
			
			<table border="0" cellpadding="0" cellspacing="0" class="tablePages" style="margin-top:5px ! important; margin-bottom: 5px ! important">
			<tr>
				<th style="padding-right:20px;">&#x0A;
				</th>
	        	<td>
					<xsl:choose>
	        			<xsl:when test="$page = 1">
							<img src="img/butt_back.gif" width="15" height="15"/>&#160;
							<img src="img/butt_back1.gif" width="15" height="15"/>
	        			</xsl:when>
	        			<xsl:otherwise>
	    	    			<img src="img/butt_back.gif" width="15" height="15" style="cursor:pointer;" ><xsl:attribute name="onClick">setPage(1, this);</xsl:attribute></img>&#160;
		        			<img src="img/butt_back1.gif" width="15" height="15" style="cursor:pointer;"><xsl:attribute name="onClick">setPage(<xsl:value-of select="$page - 1"/>, this);</xsl:attribute></img>
	        			</xsl:otherwise>
	        		</xsl:choose>
				</td>
				<th style="padding-left:5px; padding-right:5px;">
	        		<xsl:value-of select="$page"/>
	 				<xsl:text>&#160;&#160;</xsl:text>
	        		<xsl:value-of select="$pages"/>
				</th>
				<td>
	        		<xsl:choose>
	        			<xsl:when test="$page = $pages">
	    	    			<img src="img/butt_foward1.gif" width="15" height="15"/>&#160;
		        			<img src="img/butt_foward.gif" width="15" height="15"/>
	        			</xsl:when>
	        			<xsl:otherwise>
	        			<img src="img/butt_foward1.gif" width="15" height="15" style="cursor:pointer;"><xsl:attribute name="onClick">setPage(<xsl:value-of select="$page + 1"/>, this);</xsl:attribute></img>&#160;
	        			<img src="img/butt_foward.gif" width="15" height="15" style="cursor:pointer;"><xsl:attribute name="onClick">setPage(<xsl:value-of select="$pages"/>, this);</xsl:attribute></img>
	        			</xsl:otherwise>
	        		</xsl:choose>
	        	</td>
	        </tr>
			</table>
		</xsl:if>
	</xsl:template>
	-->

	<!--
	 ,      .   -  
	     report,        
	 (  hidden,  - )   (    ) - 
	   - ,       
	  .       .
	 ,   ...
	    -  ,    'data', 
	  .     - 'node',   
	   . 
	  "action" -    ,   - .
	-->
	<xsl:template name="pagesBar">
		<xsl:param name="node"/>
		<xsl:param name="data"/>
		<xsl:param name="action"/>

		<xsl:if test="$node/@pageIndex">
			<xsl:variable name="pages">
				<xsl:choose>
				<xsl:when test="$node/@pageCount and $node/@pageCount > 0"><xsl:value-of select="$node/@pageCount"/></xsl:when>
				<xsl:otherwise>1</xsl:otherwise>
				</xsl:choose>
			</xsl:variable>
			<xsl:variable name="page">
				<xsl:choose>
				<xsl:when test="$node/@pageIndex"><xsl:value-of select="$node/@pageIndex"/></xsl:when>
				</xsl:choose>
			</xsl:variable>
			<form method="post">
				<xsl:choose>
					<xsl:when test="$action">
						<xsl:attribute name="action"><xsl:value-of select="$action"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="action"><xsl:value-of select="$WEBEXECUTER"/></xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<xsl:copy-of select="$data"/>
				<!-- TODO   1  ,    ? -->
				<input type="hidden" name="pageIndex" value="1" id="idPageIndex"/>
				<table border="0" cellpadding="0" cellspacing="0" class="tablePagesBar" style="margin-top:5px ! important; margin-bottom: 5px ! important">
				<tr>
					<th style="padding-right:10px;">&#x0A;</th>
	        		<td>
						<xsl:choose>
	        				<xsl:when test="$page = 1">
								<img src="img/butt_back.gif" width="15" height="15"/>&#160;
								<img src="img/butt_back1.gif" width="15" height="15"/>
	        				</xsl:when>
	        				<xsl:otherwise>
	    	    				<img src="img/butt_back.gif" width="15" height="15" style="cursor:pointer;" ><xsl:attribute name="onClick">setPage(1, this);</xsl:attribute></img>&#160;
		        				<img src="img/butt_back1.gif" width="15" height="15" style="cursor:pointer;"><xsl:attribute name="onClick">setPage(<xsl:value-of select="$page - 1"/>, this);</xsl:attribute></img>
	        				</xsl:otherwise>
	        			</xsl:choose>
					</td>
					<th style="padding-left:5px; padding-right:5px;">
	        			<xsl:value-of select="$page"/>
	 					<xsl:text>&#160;&#160;</xsl:text>
	        			<xsl:value-of select="$pages"/>
					</th>
					<td>
	        			<xsl:choose>
	        				<xsl:when test="$page = $pages">
	    	    				<img src="img/butt_foward1.gif" width="15" height="15"/>&#160;
		        				<img src="img/butt_foward.gif" width="15" height="15"/>
	        				</xsl:when>
	        				<xsl:otherwise>
	        					<img src="img/butt_foward1.gif" width="15" height="15" style="cursor:pointer;"><xsl:attribute name="onClick">setPage(<xsl:value-of select="$page + 1"/>, this);</xsl:attribute></img>&#160;
	        					<img src="img/butt_foward.gif" width="15" height="15" style="cursor:pointer;"><xsl:attribute name="onClick">setPage(<xsl:value-of select="$pages"/>, this);</xsl:attribute></img>
	        				</xsl:otherwise>
	        			</xsl:choose>
	        		</td>
	        	</tr>
				</table>
			</form>
		</xsl:if>
	</xsl:template>
	
	
	<xsl:template name="formatSessionTime">
		<xsl:param name="time"/>
	
		<xsl:value-of select="format-number( floor($time div 3600), '00' )"/>:<xsl:value-of select="format-number( floor(($time mod 3600) div 60), '00' )"/>:<xsl:value-of select="format-number( $time mod 60, '00' )"/>
		[<xsl:value-of select="$time"/>]
	</xsl:template>
	
	<xsl:template name="head">
	</xsl:template>
	
	<!--
	   common.xml,     
	,      ,      , 
	       
	-->
	
	<xsl:template name="standart_menu">
	<tr>
	   <th><img src="img/strelki.gif"/></th>
	   <td><a href="?"></a></td> 
	</tr>
	<tr>
	   <th><img src="img/strelki.gif"/></th>
	   <td><a href="?action=ShowBalance&amp;mid=contract&amp;contractId={$CONTRACT_ID}"> </a></td>
	</tr>
	<tr>
	   <th><img src="img/strelki.gif"/></th>
	   <td><a href="?action=ChangePassword&amp;mid=contract&amp;contractId={$CONTRACT_ID}">      </a></td>
	</tr>
	<tr>
	   <th><img src="img/strelki.gif"/></th>
	   <td><a href="?action=Subscription&amp;mid=contract&amp;contractId={$CONTRACT_ID}">  </a></td>
	</tr>
	<tr>
	   <th><img src="img/strelki.gif"/></th>
	   <td><a href="?action=ChangeTariff&amp;mid=contract&amp;contractId={$CONTRACT_ID}">  </a></td>
	</tr>
	<tr>
	   <th><img src="img/strelki.gif"/></th>
	   <td><a href="?action=TariffOption&amp;mid=contract&amp;contractId={$CONTRACT_ID}"> </a></td>
	</tr>
	<tr>
		<th><img src="img/strelki.gif"/></th>
		<td><a href="?action=Cards&amp;mid=contract&amp;contractId={$CONTRACT_ID}"></a></td>
	</tr>
	<xsl:if test="/data/@balance_mode=1">
		<tr>
		   <th><img src="img/strelki.gif"/></th>
		   <td><a href="?action=ContractLimit&amp;mid=contract&amp;contractId={$CONTRACT_ID}"> </a></td>
		</tr>
	</xsl:if>
	<tr>
	   <th><img src="img/strelki.gif"/></th>
	   <td><a href="?action=ContractStatus&amp;mid=contract&amp;contractId={$CONTRACT_ID}"> </a></td>
	</tr>	
	<tr>
	   <th><img src="img/strelki.gif"/></th>
	   <td><a href="?action=AdditionalAction&amp;mid=contract&amp;contractId={$CONTRACT_ID}"> </a></td>
	</tr>	
	<tr>
	   <th><img src="img/strelki.gif"/></th>
	   <td><a href="?action=MemoTable&amp;mid=contract&amp;contractId={$CONTRACT_ID}"></a></td>
	</tr>	
	</xsl:template>


	<!--   ipn -    -->
	<xsl:template name="dayFilterForm">
	<table border='0' cellspacing="0">
		<tr>
			<th>:</th>
			<td>
				<select name='day'>
					<option value='0'><xsl:if test="date/@day = '0'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>--</option>
					<xsl:call-template name="day_list"/>
				</select>
			</td>
			<th>:</th>
			<td>
				<select name='month'>
					<xsl:call-template name="month_list"/>
				</select>
			</td>
			<th>:</th>
			<td>
				<select name='year'>
			  		<xsl:call-template name="year_list"/>
				</select>
			</td>
			<td>
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="''"/>
					<xsl:with-param name="guid" select="'_v'"/>
				</xsl:call-template>
			</td>
		</tr>
	</table>
	</xsl:template>
	
	
	<!--    -->
	<xsl:template name="monthFilterForm">
		<xsl:param name="action"/>
		<xsl:param name="mid"/>
		<xsl:param name="module"/>
	<xsl:variable name="year">
		<xsl:choose>
			<xsl:when test="/data/date/@year"><xsl:value-of select="/data/date/@year"/></xsl:when>
			<xsl:when test="/data/date/@selected_year"><xsl:value-of select="/data/date/@selected_year"/></xsl:when>
			<xsl:when test="/data/selected_year"><xsl:value-of select="/data/selected_year/text()"/></xsl:when><!-- для новых экшенов TODO -->
			<xsl:otherwise><xsl:value-of select="/data/date/@curr_year"/></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:variable name="selected">
		<xsl:choose>
			<xsl:when test="/data/date/@month"><xsl:value-of select="/data/date/@month"/></xsl:when>
			<!--  --><xsl:when test="/data/common:result/attributes/item[@key='date1']/value/@month"><xsl:value-of select="/data/common:result/attributes/item[@key='date1']/value/@month"/></xsl:when>
			<xsl:when test="/data/date/@selected_month"><xsl:value-of select="number(/data/date/@selected_month)+1"/></xsl:when>
			<xsl:when test="/data/selected_month"><xsl:value-of select="/data/selected_month/text()"/></xsl:when><!-- для новых экшенов TODO -->
			<xsl:otherwise><xsl:value-of select="number(/data/date/@curr_month)+1"/></xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	
	<table border='0' cellspacing="10" class="filter">
		<tr>
			<th valign="bottom" >:</th>
			<xsl:choose>
				<xsl:when test="date/year">
					<xsl:for-each select="date/year">
						<td align="center" valign="bottom">
							<xsl:variable name="value">
								<xsl:choose>
									<xsl:when test="@value">
										<xsl:value-of select="@value"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="@year"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:variable>
							<xsl:attribute name="value">
								<xsl:value-of select="$value"/>
							</xsl:attribute>
							<xsl:choose>
								<xsl:when test="$value = $year">
									<xsl:value-of select="$value"/>
								</xsl:when>
								<xsl:otherwise>
								<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$value}&amp;month={$selected}">
									<xsl:value-of select="$value"/>
								</a>
								</xsl:otherwise>
							</xsl:choose>
						</td>	
					</xsl:for-each>
				<!--  -->
				</xsl:when>
				<!-- для новых экшенов TODO -->
				<xsl:when test="year_list/data/item">
					<xsl:for-each select="year_list/data/item">
						<td align="center" valign="bottom">
							<xsl:variable name="value">
								<xsl:value-of select="text()"/>
							</xsl:variable>
							&#160;
							<xsl:choose>
								<xsl:when test="$value = $year">
									<b><xsl:value-of select="$value"/></b>
								</xsl:when>
								<xsl:otherwise>
								<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$value}&amp;month={$selected}">
									<xsl:value-of select="$value"/>
								</a>
								</xsl:otherwise>
							</xsl:choose>
						</td>	
					</xsl:for-each>
				</xsl:when>
			</xsl:choose>
		</tr>
	</table>
	<table border='0' class="filter" >
		<tr>
			<th valign="bottom">:</th>
			<xsl:call-template name="nextMonth">
			<xsl:with-param name="count" select="1"/>
			<xsl:with-param name="selected" select="$selected"/>
			<xsl:with-param name="year" select="$year"/>
			<xsl:with-param name="action" select="$action"/>
			<xsl:with-param name="module" select="$module"/>
			<xsl:with-param name="mid" select="$mid"/>
			</xsl:call-template>
		</tr>
	</table>
	</xsl:template>


<!--   ,   voiceip -->
<xsl:template name="sessionFilter">
	<xsl:param name="login_title"/>
	<xsl:variable name="module" select="/data/@module"/>
	<table class="filter">
	<tr><td>
		<table>
		<tr>
			<th>
				<xsl:choose>
					<xsl:when test="$login_title"><xsl:value-of select="$login_title"/></xsl:when>
					<xsl:when test="$module!='voice'">:</xsl:when>
					<xsl:when test="$module='voice'">:</xsl:when>
				</xsl:choose>
			</th>
			<td>
				<select name="login">
					<xsl:call-template name="logins_list"/>
				</select>
			</td>
			<xsl:if test="$module!='voiceip' and $module!='voice'">
			<th>.  </th>
			<td>
				<select name='unit'>
					<xsl:call-template name="unit_list"/>
				</select>
			</td>
			</xsl:if>
			<th>:</th>
			<td>
				<select name='month'>
					<xsl:call-template name="month_list"/>
				</select>
			</td>
			<th>:</th>
			<td>
				<select name='year'>
					<xsl:call-template name="year_list"/>
				</select>
			</td>
			<th nowrap="nowrap"> :</th>
			<th>c</th>
			<td><input type="text" name="day_from" size="4" value="{date/@day_from}"/></td>
			<th></th>
			<td><input type="text" name="day_to" size="4" value="{date/@day_to}"/></td>
			<xsl:if test="$module!='voiceip' and $module!='voice'">
			<td>
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="''"/>
					<xsl:with-param name="guid" select="'_v'"/>
				</xsl:call-template>
			</td>
			</xsl:if>
		</tr>
		</table>
	</td></tr>
	<xsl:if test="$module='voiceip' or $module='voice'">
	<tr><td>
		<table class="filter">
		<tr>
			<th> :</th>
			<td><input type="radio" name="direct" value="0" checked="1" ></input></td>
			<th></th>
			<td><input type="radio" name="direct" value="1">
				<xsl:if test="sessions/@direct='1'"><xsl:attribute name="checked">1</xsl:attribute></xsl:if></input></td>
			<th></th>
			<td><input type="radio" name="direct" value="2" >
				<xsl:if test="sessions/@direct='2'"><xsl:attribute name="checked">1</xsl:attribute></xsl:if></input></td>
			<th></th>
			<td>
				<input type="checkbox" name="nofree">
				<xsl:if test="sessions/@nofree"><xsl:attribute name="checked">1</xsl:attribute></xsl:if></input>
			</td>
			<th> </th>
			
			<td>
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="''"/>
					<xsl:with-param name="guid" select="'_v'"/>
				</xsl:call-template>
			</td>
		</tr>
		</table>
	</td></tr>
	</xsl:if>
	</table>
</xsl:template>

	
<!--   ,   voiceip -->
<xsl:template name="periodFilter">
	<table class="filter">
		<tr>
			<th>:</th>
			<td>
				<select name='month'>
					<xsl:call-template name="month_list"/>
				</select>
			</td>
			<th>:</th>
			<td>
				<select name='year'>
					<xsl:call-template name="year_list"/>
				</select>
			</td>
			<th nowrap="nowrap"> :</th>
			<th style="text-align:center">c</th>
			<td><input type="text" name="day_from" size="4" ><xsl:attribute name="value"><xsl:value-of select="date/@day_from | common:result/attributes/item[@key='date1']/value/@date"/></xsl:attribute></input></td>
			<th style="text-align:center"></th>
			<td><input type="text" name="day_to" size="4" ><xsl:attribute name="value"><xsl:value-of select="date/@day_to | common:result/attributes/item[@key='date2']/value/@date"/></xsl:attribute></input></td>
			<td>
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="''"/>
					<xsl:with-param name="guid" select="'_v'"/>
				</xsl:call-template>
			</td>
		</tr>
	</table>
</xsl:template>
	
	
	<!--   voiceip -->
	<xsl:template name="loginFilter">
	<xsl:param name="login_title"/>
	<xsl:param name="login_name" select="'login'"/>
	<xsl:variable name="module" select="/data/@module"/>
	<table class="filter">
		<tr>
			<th>
				<xsl:choose>
					<xsl:when test="$login_title"><xsl:value-of select="$login_title"/></xsl:when>
					<xsl:when test="$module!='voice'">:</xsl:when>
					<xsl:when test="$module='voice'">:</xsl:when>
				</xsl:choose>
			</th>
			<td>
				<select name="{$login_name}">
					<xsl:call-template name="logins_list"/>
				</select>
			</td>
			<th>:</th>
			<td><select name='month'>
					<xsl:call-template name="month_list"/>
			</select></td>
			<th>:</th>
			<td><select name='year'>
					<xsl:call-template name="year_list"/>
			</select></td>
	<th nowrap="nowrap"> :</th>
			<th style="text-align:center">c</th>
			<td><input type="text" name="day_from" size="4" ><xsl:attribute name="value"><xsl:value-of select="date/@day_from | /data/common:result/attributes/item[@key='date1']/value/@date"/></xsl:attribute></input></td>
			<th style="text-align:center"></th>
			<td><input type="text" name="day_to" size="4" ><xsl:attribute name="value"><xsl:value-of select="date/@day_to | /data/common:result/attributes/item[@key='date2']/value/@date"/></xsl:attribute></input></td>
			<td>
				<xsl:call-template name="submit">
					<xsl:with-param name="title" select="''"/>
					<xsl:with-param name="guid" select="'_v'"/>
				</xsl:call-template>
			</td>
		</tr>
	</table>
	</xsl:template>


<!--utils-->
	<xsl:template name="action">
		<input type="hidden" name="module" value="{/data/@module}"/>
		<input type="hidden" name="mid" value="{/data/@mid}"/>
		<input type="hidden" name="action" value="{/data/@action}"/>
	</xsl:template>
	
	<xsl:template name="module">
		<input type="hidden" name="module" value="{/data/@module}"/>
		<input type="hidden" name="mid" value="{/data/@mid}"/>
	</xsl:template>
	
	<xsl:template name="month_list">	
		<xsl:variable name="selected">
			<xsl:choose>
				<xsl:when test="/data/date/@month"><xsl:value-of select="/data/date/@month"/></xsl:when>
				<!--  --><xsl:when test="/data/common:result/attributes/item[@key='date1']/value/@month"><xsl:value-of select="/data/common:result/attributes/item[@key='date1']/value/@month"/></xsl:when>
				<xsl:when test="/data/date/@selected_month"><xsl:value-of select="number(/data/date/@selected_month)+1"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="number(/data/date/@curr_month)+1"/></xsl:otherwise>
			</xsl:choose>
		</xsl:variable>
		<xsl:call-template name="next_month">
			<xsl:with-param name="count" select="'1'"/> 
			<xsl:with-param name="selected" select="$selected"/>
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="next_month">
		<xsl:param name="count"/>
		<xsl:param name="selected"/>
		<xsl:if test="$count &lt; 13">
		<option>
			<xsl:if test="$selected = $count"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
			<xsl:attribute name="value"><xsl:value-of select="$count"/></xsl:attribute>    	
			<xsl:choose>
				<xsl:when test="$count = 1"></xsl:when>
				<xsl:when test="$count = 2"></xsl:when>
				<xsl:when test="$count = 3"></xsl:when>
				<xsl:when test="$count = 4"></xsl:when>
				<xsl:when test="$count = 5"></xsl:when>
				<xsl:when test="$count = 6"></xsl:when>
				<xsl:when test="$count = 7"></xsl:when>
				<xsl:when test="$count = 8"></xsl:when>
				<xsl:when test="$count = 9"></xsl:when>
				<xsl:when test="$count = 10"></xsl:when>
				<xsl:when test="$count = 11"></xsl:when>
				<xsl:when test="$count = 12"></xsl:when>
			</xsl:choose>		
		</option>
		<xsl:call-template name="next_month">
			<xsl:with-param name="count" select="$count + 1"/>
			<xsl:with-param name="selected" select="$selected"/>
		</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="nextMonth">
		<xsl:param name="count"/>
		<xsl:param name="selected"/>
		<xsl:param name="year"/>
		<xsl:param name="action"/>
		<xsl:param name="module"/>
		<xsl:param name="mid"/>
		<xsl:if test="$count &lt; 13">
		<td align="centr" valign="bottom">
			<xsl:choose>
				<xsl:when test="$count = '1'">
					<xsl:choose>
						<xsl:when test="$count = $selected"></xsl:when>
						<xsl:otherwise>
							<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$year}&amp;month={$count}"></a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$count = '2'">
					<xsl:choose>
						<xsl:when test="$count = $selected"></xsl:when>
						<xsl:otherwise>
							<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$year}&amp;month={$count}"></a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$count = '3'">
					<xsl:choose>
						<xsl:when test="$count = $selected"></xsl:when>
						<xsl:otherwise>
							<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$year}&amp;month={$count}"></a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$count = '4'">
					<xsl:choose>
						<xsl:when test="$count = $selected"></xsl:when>
						<xsl:otherwise>
							<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$year}&amp;month={$count}"></a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$count = '5'">
					<xsl:choose>
						<xsl:when test="$count = $selected"></xsl:when>
						<xsl:otherwise>
							<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$year}&amp;month={$count}"></a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$count = '6'">
					<xsl:choose>
						<xsl:when test="$count = $selected"></xsl:when>
						<xsl:otherwise>
							<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$year}&amp;month={$count}"></a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$count = '7'">
					<xsl:choose>
						<xsl:when test="$count = $selected"></xsl:when>
						<xsl:otherwise>
							<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$year}&amp;month={$count}"></a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$count = '8'">
					<xsl:choose>
						<xsl:when test="$count = $selected"></xsl:when>
						<xsl:otherwise>
							<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$year}&amp;month={$count}"></a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$count = '9'">
					<xsl:choose>
						<xsl:when test="$count = $selected"></xsl:when>
						<xsl:otherwise>
							<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$year}&amp;month={$count}"></a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$count = '10'">
					<xsl:choose>
						<xsl:when test="$count = $selected"></xsl:when>
						<xsl:otherwise>
							<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$year}&amp;month={$count}"></a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$count = '11'">
					<xsl:choose>
						<xsl:when test="$count = $selected"></xsl:when>
						<xsl:otherwise>
							<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$year}&amp;month={$count}"></a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:when test="$count = '12'">
					<xsl:choose>
						<xsl:when test="$count = $selected"></xsl:when>
						<xsl:otherwise>
							<a href="{$WEBEXECUTER}?action={$action}&amp;module={$module}&amp;mid={$mid}&amp;year={$year}&amp;month={$count}"></a>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
			</xsl:choose>
		</td>
		<xsl:call-template name="nextMonth">
			<xsl:with-param name="count" select="$count + 1"/>
			<xsl:with-param name="selected" select="$selected"/>
			<xsl:with-param name="year" select="$year"/>
			<xsl:with-param name="action" select="$action"/>
			<xsl:with-param name="module" select="$module"/>
			<xsl:with-param name="mid" select="$mid"/>
		</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="year_list">
	<xsl:variable name="year">
	  <xsl:choose>
		<xsl:when test="/data/date/@year"><xsl:value-of select="/data/date/@year"/></xsl:when>
		<xsl:when test="/data/date/@selected_year"><xsl:value-of select="/data/date/@selected_year"/></xsl:when>
		<xsl:otherwise><xsl:value-of select="/data/date/@curr_year"/></xsl:otherwise>
	  </xsl:choose>
	</xsl:variable>
		<xsl:choose><xsl:when test="date/year">
		<xsl:for-each select="date/year">
		  <option>
		  	<xsl:variable name="value">
			  <xsl:choose>
				<xsl:when test="@value"><xsl:value-of select="@value"/></xsl:when>
				<xsl:otherwise><xsl:value-of select="@year"/></xsl:otherwise>
			  </xsl:choose>
			</xsl:variable>
			 <xsl:attribute name="value"><xsl:value-of select="$value"/></xsl:attribute>
			 <xsl:if test="$value = $year"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
			 <xsl:value-of select="$value"/>
		  </option>
		</xsl:for-each>
		<!--  -->
		</xsl:when><xsl:otherwise>
			<xsl:call-template name="next_year">
				<xsl:with-param name="year" select="/data/common:result/attributes/item[@key='now']/value/@year - 4"/>
				<xsl:with-param name="count" select="0"/>
				<xsl:with-param name="selected" select="/data/common:result/attributes/item[@key='date1']/value/@year"/>  
			</xsl:call-template>
		</xsl:otherwise></xsl:choose>
	</xsl:template>
	
	<xsl:template name="next_year">
		<xsl:param name="year"/>
		<xsl:param name="count"/>
		<xsl:param name="selected"/>

		<option>
			<xsl:if test="$selected = $year"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
			<xsl:attribute name="value"><xsl:value-of select="$year"/></xsl:attribute>
			<xsl:value-of select="$year"/>
		</option>
		
		<xsl:if test="$count &lt; 4">
			<xsl:call-template name="next_year">
				<xsl:with-param name="year" select="$year + 1"/>
				<xsl:with-param name="count" select="$count + 1"/>
				<xsl:with-param name="selected" select="$selected"/>  
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="day_list">	
		<xsl:call-template name="next_day">
			<xsl:with-param name="count" select="'1'"/> 
		</xsl:call-template>
	</xsl:template>
	
	<xsl:template name="next_day">
		<xsl:param name="count"/>
		<option>
			<xsl:if test="date/@day = $count"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
			<xsl:attribute name="value"><xsl:value-of select="$count"/></xsl:attribute>
			<xsl:value-of select="$count"/>
		</option>
		
		<xsl:if test="$count &lt; 31">
			<xsl:call-template name="next_day">
				<xsl:with-param name="count" select="$count + 1"/> 
			</xsl:call-template>
		</xsl:if>
	</xsl:template>
	
	
	<xsl:template name="mask">
		<xsl:param name="title"/>
		<xsl:value-of select="translate($title, ' Ũ.\/', 'asudacbalsanfcruyfcnskduchnrkfuhneuhscenkrfcaudfhhewksrufgadfg')"/>
	</xsl:template>
	
	<!--   dialup,voiceip     -->
	<xsl:template name="logins_list">
    	<xsl:for-each select="/data/logins/item">
			<option>
				<xsl:if test="/data/logins/@id=@id"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
				<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
				<xsl:value-of select="@title"/>
			</option>
    	</xsl:for-each>
    </xsl:template>
    
    
    <xsl:template name="n2br">
	<xsl:param name="text"/>
    <xsl:param name="from" select="'&#xA;'"/>  
    <xsl:param name="to"><xsl:element name="br"/></xsl:param>
    <xsl:choose>
      	<xsl:when test="contains($text, $from)">
      		<xsl:value-of select="substring-before($text, $from)"/>
			<xsl:copy-of select="$to"/>
    		<xsl:call-template name="n2br">
	  			<xsl:with-param name="text" select="substring-after($text, $from)"/>
	  			<xsl:with-param name="from" select="$from"/>
	  			<xsl:with-param name="to" select="$to"/>
			</xsl:call-template>
		</xsl:when> 
		<xsl:otherwise>
			<xsl:value-of select="$text"/>  
		</xsl:otherwise>
    </xsl:choose>       
	</xsl:template>
	
	<xsl:template name="unit_list">	
			<option>
				<xsl:if test="/data/unit/@unit='1'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
				<xsl:attribute name="value">1</xsl:attribute>
								
			</option>
			<option>
				<xsl:if test="/data/unit/@unit='1024'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
				<xsl:attribute name="value">1024</xsl:attribute>
				.				
			</option>
			<option>
				<xsl:if test="/data/unit/@unit='1048576'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
				<xsl:attribute name="value">1048576</xsl:attribute>
				.				
			</option>
			<option>
				<xsl:if test="/data/unit/@unit='1073741824'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
				<xsl:attribute name="value">1073741824</xsl:attribute>
				.				
			</option>
	</xsl:template>
	
	<xsl:template name="unit_title"> 
	<xsl:param name="unit"/>
	 		<xsl:choose>
	 			<xsl:when test="$unit=1"></xsl:when>
	 			<xsl:when test="$unit=1024">.</xsl:when>
	 			<xsl:when test="$unit=1048576">.</xsl:when>
	 			<xsl:when test="$unit=1073741824">.</xsl:when>
	 		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
