<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:common="http://common.bitel.ru">
<xsl:import href="layout.xsl"/>

<xsl:template name="title">
<xsl:choose>
	<xsl:when test="data/@action = 'ChangePassword'"> </xsl:when>
	<xsl:when test="data/@action = 'ShowBalance'">    </xsl:when>
	<xsl:when test="data/@action = 'DistributeBalance'"> </xsl:when>
	<xsl:when test="data/@action = 'Subscription'">  </xsl:when>
	<xsl:when test="data/@action = 'DispatchBalance'"> </xsl:when>
	<xsl:when test="data/@action = 'ChangeTariff'">  </xsl:when>
	<xsl:when test="data/@action = 'TariffOption'"> </xsl:when>
	<xsl:when test="data/@action = 'ContractLimit'"> </xsl:when>
	<xsl:when test="data/@action = 'AdditionalAction'"> </xsl:when>
	<xsl:when test="data/@action = 'MemoTable' or data/@action = 'Memo'"></xsl:when>
	<xsl:when test="data/@action = 'Cards'"></xsl:when>
	<xsl:when test="data/@action = 'ContractStatus'"> </xsl:when>
	<xsl:otherwise></xsl:otherwise>
</xsl:choose>
</xsl:template>


<xsl:variable name="tarifQuestion" select="'     ? '"/>

<xsl:template match="/data">
<xsl:choose>
	<xsl:when test="@action = 'ChangePassword'">
		<xsl:call-template name="ChangePassword"/>
	</xsl:when>
	<xsl:when test="@action = 'ShowBalance'">
	 	<xsl:call-template name="ShowBalance"/>
	</xsl:when>
	<xsl:when test="@action = 'DistributeBalance'">
		<xsl:call-template name="DistributeBalance"/>
	</xsl:when>
	<xsl:when test="@action = 'Subscription'">
	 	<xsl:call-template name="Subscription"/>
	</xsl:when>
	<xsl:when test="@action = 'DispatchBalance'">
	 	<xsl:call-template name="DispatchBalance"/>
	</xsl:when>
	<xsl:when test="@action = 'ChangeTariff'">		
	 	<xsl:call-template name="ChangeTariff"/>
	</xsl:when>
	<xsl:when test="@action = 'ContractLimit'">
	 	<xsl:call-template name="ContractLimit"/>
	</xsl:when>
	<xsl:when test="@action = 'TariffOption'">
	 	<xsl:call-template name="TariffOption"/>
	</xsl:when>
	<xsl:when test="@action = 'AdditionalAction'">
	 	<xsl:call-template name="AdditionalAction"/>
	</xsl:when>
	<xsl:when test="@action = 'MemoTable' or @action = 'Memo'">
	 	<xsl:call-template name="Memo"/>
	</xsl:when>
	<xsl:when test="@action = 'Cards'">
		<xsl:call-template name="Cards" />
	</xsl:when>
	<xsl:when test="@action = 'ContractStatus'">
		<xsl:call-template name="ContractStatus" />
	</xsl:when>
	<xsl:otherwise>
		<xsl:call-template name="News"/>
	</xsl:otherwise>
</xsl:choose>
</xsl:template>


<xsl:template name="Memo">
<xsl:choose>
	<xsl:when test="/data/memo/table">
		<div class="report">
			<table cellspacing='1' width="100%">
	  		<thead>
	  			<tr>
	  	  			<td width="40">ID</td>
	  	  			<td width="130"></td>
	  	  			<td></td>
	  	  		</tr>
	  		</thead>
	  		<tbody>
	  			<xsl:for-each select="/data/memo/table/row">
				<tr>
					<td align="right"><xsl:value-of select="@id"/></td>				
					<td><xsl:value-of select="@date"/></td>
					<td><a href="{$WEBEXECUTER}?action=Memo&amp;mid=contract&amp;id={@id}"><xsl:value-of select="@title"/></a></td>
				</tr>
	  			</xsl:for-each>
	  		</tbody>
			</table>
		</div>
	</xsl:when>
	<xsl:otherwise>
		<div class="MemoDate"><span>:</span><xsl:value-of select="/data/memo/@date"/></div>
		<div class="MemoTitle"><span>:</span> <xsl:value-of select="/data/memo/@title"/></div>
		<pre><xsl:value-of select="/data/memo/@comment"/></pre>
		<xsl:call-template name="rawLinkButton">
			<xsl:with-param name="title" select="'  ...'"/>
			<xsl:with-param name="align" select="'left'"/>
			<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=MemoTable&amp;mid=contract</xsl:with-param>
		</xsl:call-template>	
	</xsl:otherwise>
</xsl:choose>
</xsl:template>


<xsl:template name="News">
	<xsl:if test="/data/news/item">
	<div>
		<xsl:for-each select="/data/news/item">
			<span style="font-family: Verdana, Arial, Helvetica, sans-serif; font-size: 12px; color: #3077BB; margin-right: 8px;"><xsl:value-of select="@date"/></span><strong><xsl:value-of select="@title"/></strong><br/>
			<xsl:choose>
		  		<xsl:when test="data"><xsl:for-each select="data"><xsl:copy-of select="*|text()"/></xsl:for-each></xsl:when>
		  		<xsl:otherwise><xsl:for-each select="div"><xsl:value-of select="."/><br/></xsl:for-each></xsl:otherwise>
			</xsl:choose>
			<br/>
		</xsl:for-each>
	</div>
	</xsl:if>
</xsl:template>


<!--     -->
<xsl:template name="ChangePassword">
	<form method='post' action='{$WEBEXECUTER}'>
		<xsl:call-template name="action"/>
		<xsl:call-template name="error"/>
		<input type="hidden" name="command" value="change"/>
		<xsl:if test="@status = 'ok'"><div class="infoMessage"> !</div></xsl:if>
		<div class="report">
			<table cellspacing='1'>
			<col class="col1"/>
			<col class="col2"/>
			<tbody>
	 			<tr>
					<th> :</th>
					<td><input type='password' name='pswd1' size='15' maxlength='15'/></td>
	  			</tr>
	  			<tr>
					<th> :</th>
					<td><input type='password' name='pswd2' size='15' maxlength='15'/></td>
	  			</tr>
	 		</tbody>
	 		<tfoot>
	  			<tr><td colspan='2'>
	  				<xsl:call-template name="submit">
						<xsl:with-param name="title" select="''"/>
						<xsl:with-param name="align" select="'right'"/>
					</xsl:call-template>
	  			</td></tr>
	 		</tfoot>
			</table>
		</div>
	</form>
</xsl:template>


<!--      -->
<xsl:template name="ShowBalance">
	<form method='post' action='{$WEBEXECUTER}'>
	<xsl:call-template name="action"/>
	
	<xsl:call-template name="monthFilterForm">
	<xsl:with-param name="action" select="/data/@action" />
	<xsl:with-param name="module" select="/data/@module" />
	<xsl:with-param name="mid" select="/data/@mid" />
	</xsl:call-template>

	<div class="report">
	<table cellspacing="1" style="width: 600px;">
	<col/>
	<col align="center"/>
	<thead>
	  <tr><td></td><td>, .</td></tr>
	 </thead>
	 <tbody>
	  <tr>
	  	<th style="text-align: left;">    </th>
	  	<td><xsl:value-of select="format-number( balance/@summa1, '### ##0.00', 'summa')"/></td>
	  </tr>
	  <tr>
	  	<th style="text-align: left;">   ()</th>
	  	<td><xsl:value-of select="format-number( balance/@summa2, '### ##0.00', 'summa')"/></td>
	  </tr>
	  <xsl:for-each select="balance/payments/payment">
	<tr>
		<th style="text-align: left; color: #555555; padding-left: 20px;"><xsl:value-of select="@title"/></th>
		<td><xsl:value-of select="format-number( @value, '### ##0.00', 'summa')"/></td>
	</tr>
	  </xsl:for-each>
	  <tr>
	  <th style="text-align: left;">   ()</th>
	  <td><xsl:value-of select="format-number( 0 - balance/@summa4, '### ##0.00', 'summa')"/></td>
	  </tr>
	  <xsl:for-each select="balance/charges/charge">
	<tr>
		<th style="text-align: left; color: #555555; padding-left: 20px;"><xsl:value-of select="@title"/></th>
		<td><xsl:value-of select="format-number( 0 - @value, '### ##0.00', 'summa')"/></td>
	</tr>
	  </xsl:for-each>
	  <tr>
	  <th style="text-align: left;">   ()</th>
	  <td><xsl:value-of select="format-number( 0 - balance/@summa3, '### ##0.00', 'summa')"/></td>
	  </tr>
	  <xsl:for-each select="balance/accounts/account">
		<tr>
			<th style="text-align: left; color: #555555; padding-left: 20px;"><xsl:value-of select="@title"/></th>
			<td><xsl:value-of select="format-number( 0 - @value, '### ##0.00', 'summa')"/></td>
		</tr>
	  </xsl:for-each>
	  <tr>
	  <th style="text-align: left;">    </th>
	  <td><xsl:value-of select="format-number( balance/@summa5, '### ##0.00', 'summa')"/></td>
	  </tr>
	  <xsl:if test="/data/@balance_mode=1">
	  <tr>
	  <th style="text-align: left;"></th>
	  <td><xsl:value-of select="format-number( balance/@limit, '### ##0.00', 'summa')"/></td>
	  </tr>
	  </xsl:if>
	  </tbody>
	</table>
	</div>
	</form>
	
	<xsl:for-each select="/data/messages/message">	
		<br/><xsl:value-of select="@text"/>
	</xsl:for-each>
	
	<xsl:if test="/data/@has_independent_subs=1">
		<form method='post' action='{$WEBEXECUTER}'>
		<xsl:call-template name="module"/>
		<input type="hidden" name="action"><xsl:attribute name="value">DistributeBalance</xsl:attribute></input>
		<br></br>
		<xsl:call-template name="submit">
			<xsl:with-param name="title" select="' '"/>
			<xsl:with-param name="align" select="'left'"/>
		</xsl:call-template>
		</form>
	</xsl:if>
</xsl:template>

<!--    -->
<xsl:template name="Cards">
	<form method='get' action='{$WEBEXECUTER}'>
		<xsl:call-template name="action" />
		<div class="report">
			<table cellspacing="1" style="width: 600px;">
				<thead>
					<tr>
						<td></td>
						<td width="25%">  </td>
					</tr>
				</thead>
				<tbody>
					
					<xsl:for-each select="/data/combo/el">
						<tr>
							<td style="text-align: left;"><xsl:value-of select="@title" /></td>
							<td>
								<a href="{$WEBEXECUTER}?action=GetCards&amp;mid=contract&amp;id={@id}&amp;title={@title_enc}">
									
								</a>
							</td>
						</tr>
					</xsl:for-each>
				</tbody>
			</table>
		</div>
	</form>
</xsl:template>

<!--   -->
<xsl:template name="DistributeBalance">
	<form method='post' action='{$WEBEXECUTER}'>
	<xsl:call-template name="action"/>
	<xsl:call-template name="error"/>
	
	<input type="hidden" name="commit" value="1"></input>
	
	<xsl:call-template name="error"/>	
	
	<table border='0' cellspacing="0" class="filter">
	  <tr>
		<th> :</th><th><xsl:value-of select="format-number( free/@amount, '### ##0.00', 'summa')"/></th>
	  </tr>
	</table>
	
	<div class="report">
	<table cellspacing="1">
		<thead>
			<tr>
				<td></td>
				<td></td>
				<td>\</td>
				<td></td>
			</tr>
		</thead>
		<tbody>
			<xsl:for-each select="/data/subs/sub">
				<tr>
					<td><xsl:value-of select="@title"/></td>
					<td><xsl:value-of select="@comment"/></td>
					<td><xsl:value-of select="@debt"/></td>
					<td><input type="text">
							<xsl:attribute name="name">
								<xsl:value-of select="@cid"/>
							</xsl:attribute>
						</input>
					</td>
				</tr>
			</xsl:for-each>
		</tbody>
	</table>
	</div>
	
	<br/>
	<xsl:call-template name="submit">
		<xsl:with-param name="title" select="''"/>
		<xsl:with-param name="align" select="'left'"/>
	</xsl:call-template>
	
	</form>
</xsl:template>


<!--    -->
<xsl:template name="ChangeTariff">
	<div class="report">
		<table cellspacing='1' class="table800">
		<thead>
		  <tr>
		  	<td> </td>
		  	<td> </td>
		  	<td> </td>
		  	<td></td>
		  </tr>
		 </thead>
		 <tbody>
		  <xsl:for-each select="/data/history/row">
			<tr>
				<td><font>
				<xsl:if test="@active=0">
					<xsl:attribute name="color">#8e8e8e</xsl:attribute>
				</xsl:if><xsl:value-of select="@tariff"/><xsl:if test="@type=1"> ()</xsl:if></font></td>
				<td><xsl:value-of select="@date1"/></td>
				<td><xsl:value-of select="@date2"/></td>
				<td>
					<xsl:if test="@group">
						<form method='get' action='{$WEBEXECUTER}'>
							<xsl:call-template name="action"/>
							<input type="hidden" name="command" value="change"/>
							<input type="hidden" name="tariff_group"><xsl:attribute name="value"><xsl:value-of select="@group"/></xsl:attribute></input>
							<input type="hidden" name="step"><xsl:attribute name="value"><xsl:value-of select="/data/@step"/></xsl:attribute></input>
							<table cellspacing="0" border="0">
								<xsl:choose>
								<xsl:when test="/data/@step=0">
									<td nowrap="1" style="border: 0px;">	
										  :
										<select name="to_tariff">
											<option value="-1">---</option>
											<xsl:for-each select="tariff_list/item" >
												<option value="{@id}"><xsl:value-of select="@title"/></option>
											</xsl:for-each>			
										</select>
									</td>
									<td style="border: 0px;">
										<xsl:call-template name="submit">				
											<xsl:with-param name="title" select="' '"/>
											<xsl:with-param name="guid" select="'_change'"/>
										</xsl:call-template>
									</td>
								</xsl:when>
								<xsl:when test="/data/@step=1">
									<xsl:if test="@tariffId=/data/@from_tariff">
										<input type="hidden" name="to_tariff"><xsl:attribute name="value"><xsl:value-of select="/data/@to_tariff"/></xsl:attribute></input>
										<td nowrap="1" style="border: 0px;">	
											  : <xsl:value-of select="/data/@to_tariff_title"/> 
											 :
											<select name="from_date" >
												<xsl:for-each select="date_list/item">
													<option>
														<xsl:attribute name="value"><xsl:value-of select="@value"/></xsl:attribute>
														<xsl:value-of select="@value"/>
													</option>
												</xsl:for-each>
											</select>
										</td>
										<td style="border: 0px;">
											<xsl:call-template name="submit">				
												<xsl:with-param name="title" select="' '"/>
												<xsl:with-param name="confirm" select="' ,    ?'"/>
												<xsl:with-param name="guid" select="'_change'"/>
											</xsl:call-template>
										</td>
									</xsl:if>
								</xsl:when>		
								</xsl:choose>
							</table>
						</form>
					</xsl:if>
					<xsl:if test="@canCancel=1">
						<form method='post' action='{$WEBEXECUTER}'>
							<xsl:call-template name="action"/>
							<input type="hidden" name="command" value="cancel"/>
							<input type="hidden" name="contractTariffId" value="{@contractTariffId}"/>
							
							<div style="float: left;">
								 : "<xsl:value-of select="@previousTariffTitle"/>"
							</div>
							<div style="float: left; padding-left: 10px;">
								<xsl:call-template name="submit">
									<xsl:with-param name="title" select="' '"/>
									<xsl:with-param name="confirm" select="' ,      ?'"/>
									<xsl:with-param name="guid" select="'_cancel'"/>
								</xsl:call-template>
							</div>
						</form>
					</xsl:if>
				</td>
			</tr>
		  </xsl:for-each>
		  </tbody>	
		</table>
		<br/>
		<font size="-2" color="#8e8e8e"></font><font size="-2">     .</font>
	</div>
	
	<xsl:call-template name="error"/>
</xsl:template>

<!--   -->
<xsl:template name="TariffOption">

	<form id="show_form" method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<input type="hidden" id="operation" name="operation"/>
	</form>

	<table class="filter">
	<tr>
		<xsl:choose>
			<xsl:when test="/data/@operation = 'history'">
				<th style="padding-right:5pt;"><a href="#" onclick="jQuery('#operation')[0].value='execute';jQuery('#show_form')[0].submit();"> </a></th>
				<th> </th>
			</xsl:when>
			<xsl:otherwise>
				<th style="padding-right:5pt;"> </th>
				<th><a href="#" onclick="jQuery('#operation')[0].value='history';jQuery('#show_form')[0].submit();"> </a></th>
			</xsl:otherwise>
		</xsl:choose>
	</tr>
	</table>

	<div class="report">

		<table cellspacing='1' class="table800" style="margin-top:5pt">
		<thead>
		  <tr>
		  	<td></td>
		  	<td></td>
		  	<td></td>
		  	<td> *</td>
		  </tr>
		 </thead>
		 <tbody>
		 	<xsl:for-each select="common:result/data/item">
		 		<tr>
					<td><xsl:value-of select="@optionTitle"/></td>
					<td><xsl:value-of select="@timeFrom"/></td>
					<td>
					
						<xsl:choose>
							<xsl:when test="@timeTo and string-length(@timeTo) &gt; 0">
								<xsl:value-of select="@timeTo"/>

								<xsl:variable name="optionId" select="@optionId"/>
								<xsl:variable name="activatedMode" select="@activatedMode"/>
								<xsl:if test="/data/common:result/attributes/item[@key='options']/value/item[@id=$optionId]/activateModeList[@id=$activatedMode]/@reactivationMode = 1">
									<xsl:call-template name="button">
										<xsl:with-param name="align" select="'center'"/>
										<xsl:with-param name="onclick">if( confirm( &quot; ,    ?&quot; ) ){ jQuery('#reactivate_form')[0].id.value='<xsl:value-of select="@id"/>';jQuery('#reactivate_form')[0].submit(); }</xsl:with-param>
										<xsl:with-param name="title" select="''"/>
									</xsl:call-template>
								</xsl:if>
							</xsl:when>
							<xsl:otherwise>
								<xsl:call-template name="button">
									<xsl:with-param name="align" select="'center'"/>
									<xsl:with-param name="onclick">if( confirm( &quot; ,    ?&quot; ) ){ jQuery('#deactivate_form')[0].id.value='<xsl:value-of select="@id"/>';jQuery('#deactivate_form')[0].submit(); }</xsl:with-param>
									<xsl:with-param name="title" select="''"/>
								</xsl:call-template>
							</xsl:otherwise>
						</xsl:choose>
					</td>
					<td><xsl:value-of select="@summa"/></td>
				</tr>						
			</xsl:for-each>			
		 </tbody>	
		</table>
		
		<em class="comment">*  - ,      
			     ,      .</em>
		
		<form id="deactivate_form" method="post" action="{$WEBEXECUTER}">
			<xsl:call-template name="action"/>
			<input type="hidden" name="operation" value="deactivate"/>
			<input type="hidden" id="contractTariffOptionId" name="id"/>
		</form>
		
		<form id="reactivate_form" method="post" action="{$WEBEXECUTER}">
			<xsl:call-template name="action"/>
			<input type="hidden" name="operation" value="reactivate"/>
			<input type="hidden" name="id"/>
		</form>
	</div>
	
	<xsl:if test="/data/@operation != 'history'">
	
	<br/>
	
	<form id="activate_form" method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<input type="hidden" name="operation" value="activate"/>
		
		<table cellspacing="0" class="filter">
			<tr>
				<th> :</th>
				<td>
					<select name="option_id" onChange="jQuery('#activate_form')[0].operation.value='execute';jQuery('#activate_form')[0].submit();">
						<xsl:for-each select="common:result/attributes/item[@key='available_options']/value/item">
							<option value="{@id}">
								<xsl:if test="@id=/data/common:result/attributes/item[@key='option_id']/value"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
								<xsl:value-of select="@title" />
							</option>
						</xsl:for-each>						
					</select>
				</td>
				<td>
					<select name="mode_id">
						<xsl:for-each select="common:result/attributes/item[@key='available_modes']/value/item">
							<option value="{@id}">
								<xsl:if test="@id=/data/common:result/attributes/item[@key='mode_id']/value"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
								<xsl:value-of select="@modeTitle" />
							</option>
						</xsl:for-each>						
					</select>
				</td>
				<td>
					<xsl:call-template name="button">
						<xsl:with-param name="onclick">if( confirm( &quot; ,    ?&quot; ) ){ jQuery('#activate_form')[0].submit(); }</xsl:with-param>
						<xsl:with-param name="title" select="''"/>
					</xsl:call-template>
				</td>
			</tr>			
		</table>
	</form>
	
	</xsl:if>
	
	<xsl:call-template name="error"/>
</xsl:template>


<!--    -->
<xsl:template name="Subscription">
		<div class="report">
		<table cellspacing='1' class="table800">
		<thead>
		  <tr>
		  	<td></td>
		  	<td></td>
		  	<td></td>
		  	<td></td>
		  	<td></td>
		  	<td></td>		  	
		  </tr>
		 </thead>
		 <tbody>
		<xsl:for-each select="dispatches/dispatch">
			<tr>
				<td><xsl:value-of select="@title"/></td>
				<td><xsl:value-of select="/data/dispatch_types/type[@id=current()/@type ]/@title"/></td>
				<td><xsl:value-of select="@mails"/></td>
				<td>
					<xsl:if test="@status = 1"></xsl:if>
					<xsl:if test="@status != 1"></xsl:if>				
				</td>
				<td>
					<form method='post' action='{$WEBEXECUTER}'>
					<xsl:call-template name="action"/>
					<input type="hidden" name="command" value="edit"/>
					<input type="hidden" name="id"><xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute></input>
					<input type="hidden" name="type"><xsl:attribute name="value"><xsl:value-of select="@type"/></xsl:attribute></input>
					<xsl:call-template name="submit">
						<xsl:with-param name="title" select="''"/>
						<xsl:with-param name="align" select="'center'"/>
					</xsl:call-template>
					</form>	
				</td>
				<td>
					<xsl:call-template name="formButton">
						<xsl:with-param name="data">
							<xsl:call-template name="action"/>
							<input type="hidden" name="command" value="delete"/>
							<input type="hidden" name="id">
								<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
							</input>
						</xsl:with-param>
						<xsl:with-param name="title" select="''"/>
						<xsl:with-param name="guid" select="'_del'"/>
						<xsl:with-param name="confirm" select="' ?'"/>
					</xsl:call-template>	
				</td>				
			</tr>
		</xsl:for-each>		
		</tbody>
		</table>
		</div>
		<br/>
	<form method='post' action='{$WEBEXECUTER}'>
	<xsl:call-template name="action"/>
	<input type="hidden" name="command" value="new"/>
	<input type="hidden" name="id" value="new"/>
	<table border='0' class="filter">
	  <tr>
		<th>:</th>
		<td><select name="type">
		  	<xsl:for-each select="dispatch_types/type">		  				
		  		<option><xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
		  			<xsl:value-of select="@title"/>
		  		</option>		  					
		  	</xsl:for-each>
		</select></td>
		<td>
			<xsl:call-template name="submit">
				<xsl:with-param name="title" select="''"/>
			</xsl:call-template>
		</td>
	  </tr>
	</table>
	</form>

</xsl:template>


<!--    -->
<xsl:template name="DispatchBalance">
	<form action="{$WEBEXECUTER}" method="post">	
	<xsl:call-template name="action"/>
	<input type="hidden" name="id"><xsl:attribute name="value"><xsl:value-of select="dispatch/@id"/></xsl:attribute></input>
	<input type="hidden" name="type"><xsl:attribute name="value"><xsl:value-of select="dispatch/@type"/></xsl:attribute></input>
	<input type="hidden" name="command" value="save"/>

	<xsl:call-template name="error"/>
   <div class="report">
       <table cellspacing='1' class="table800">
	   <thead>
         <tr>
           <td></td>
           <td></td>
           <td></td>
          </tr>
		 </thead>
		 <tbody>
          <tr>
            <th>:</th>
            <td><input type="text" name="title" size="32">
              <xsl:attribute name="value">
                <xsl:value-of select="dispatch/@title"/>
              </xsl:attribute>
              </input>
            </td>
            <td><em class="comment">  ,  '  '.
                    .</em></td>
          </tr>
          <tr>
            <th>:</th>
            <td><textarea name="mails" rows="4" cols="25">
                <xsl:for-each select="dispatch/mail">
                  <xsl:value-of select="@value"/>
                  <xsl:if test="position() != last()">
                    <xsl:value-of select="'	
					'"/>
                  </xsl:if>
                </xsl:for-each>
              </textarea>
            </td>
            <td><em class="comment">       .
                  .</em></td>
          </tr>
          <tr>
            <th>:</th>
            <td><select name="status">
                <option value="0"></option>
                <option value="1">
                  <xsl:if test="dispatch/@status='1'">
                    <xsl:attribute name="selected">1</xsl:attribute>
                  </xsl:if>
                  
                </option>
              </select>
            </td>
            <td><em class="comment">      .</em></td>
          </tr>
          <tr>
            <th>  ( 1-7 ):</th>
            <td class="tt"><input type="text" name="dw">
              <xsl:attribute name="value">
                <xsl:value-of select="dispatch/@dw"/>
              </xsl:attribute>
              </input>
            </td>
            <td><em class="comment"> ,  1 - 7 (   ),
            1, 2 ( ,  )      .</em>
            </td>
          </tr>
          <tr>
            <th> :</th>
            <td><input type="text" name="balance_limit">
              <xsl:attribute name="value">
                <xsl:value-of select="dispatch/@balance_limit"/>
              </xsl:attribute>
              </input>
            </td>
            <td><em class="comment">           .
                 ,      ,   
              .</em></td>
          </tr>
		  </tbody>
		  <tfoot>
          <tr>
            <td colspan="3">
            
			<xsl:call-template name="okCancel">
				<xsl:with-param name="title1" select="''"/>
				<xsl:with-param name="onclick2">window.location.replace( '<xsl:value-of select="$WEBEXECUTER"/>?action=Subscription&#38;mid=contract&#38;module=contract' );</xsl:with-param>
			</xsl:call-template>
				
			<!--
			<xsl:call-template name="submit">
				<xsl:with-param name="title" select="''"/>
				<xsl:with-param name="guid" select="'_save'"/>
			</xsl:call-template>
			<xsl:call-template name="rawLinkButton">
				<xsl:with-param name="title" select="''"/>
				<xsl:with-param name="url"><xsl:value-of select="$WEBEXECUTER"/>?action=Subscription&#38;mid=contract&#38;module=contract</xsl:with-param>
			</xsl:call-template>
			-->
            </td>
          </tr>
		  </tfoot>
        </table>
      </div>	
</form>		
</xsl:template>


<xsl:template name="ContractLimit">
	<xsl:variable name="mid" select="@mid"/>
	
	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<xsl:call-template name="monthFilterForm">
			<xsl:with-param name="action" select="/data/@action" />
			<xsl:with-param name="module" select="/data/@module" />
			<xsl:with-param name="mid" select="/data/@mid" />
		</xsl:call-template>
	
		<div class="report">
			<table cellspacing="1" class="table800">
			<col class="col1"/>
			<col class="col2"/>
			<col class="col3"/>
			<col class="col4"/>
			<thead>
			  <tr>
				<td></td>
				<td> </td>
				<td> </td>
				<td></td>
			  </tr>
			</thead>
			<tbody>
			  <xsl:for-each select="moves/move">
				<tr>
					<td><xsl:value-of select="@summ"/></td>
					<td><xsl:value-of select="@date1"/></td>		
					<td><xsl:value-of select="@date2"/></td>
					<td nowrap="nowrap">			
						<xsl:choose>
							<xsl:when test="@status=0"> </xsl:when>
							<xsl:when test="@status=1"> </xsl:when>
							<xsl:when test="@status=2"></xsl:when>
							<xsl:otherwise></xsl:otherwise>
						</xsl:choose>
					</td>
				</tr>		
			  </xsl:for-each>
			</tbody>
			<tfoot>
			  <tr>
			    <td colspan="4" style="text-align: left;"> : <xsl:value-of select="/data/@limit"/></td>
			  </tr>
			</tfoot>
			</table>
		<em class="comment">
		          ,      .<br/>
		       ,          .
		<xsl:if test="not(/data/error)"><br/>     <xsl:value-of select="/data/summ/@min"/>  <xsl:value-of select="/data/summ/@max"/>.      <xsl:value-of select="/data/summ/@minLimit"/>.</xsl:if>
		</em>
		</div>
	</form>
	
	<br/>
	
	<xsl:choose>
		<xsl:when test="not(/data/error)">
			<form method="post" action="{$WEBEXECUTER}">
				<xsl:call-template name="module"/>
				<input type="hidden" name="action" value="ContractLimit" />
				<table cellspacing="0" class="filter">
				<tr>
					<th>   :</th>
					<td>
						<input type="text" name="summ" size="6"/>
					</td>
					<th>  </th>
					<td>
						<select name="days">
							<xsl:for-each select="/data/period/day">
								<option>
									<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
									<xsl:value-of select="@title"/>
								</option>
							</xsl:for-each>						
						</select>
					</td>
					<td>
						<xsl:call-template name="submit"><xsl:with-param name="title" select="''"/></xsl:call-template>
					</td>
				</tr>
			</table>
			</form>
		</xsl:when>
		<xsl:otherwise>
			<table cellspacing="0" class="filter">
				<tr><th><xsl:value-of select="/data/error/text()"/></th></tr>
			</table>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>


<xsl:template name="AdditionalAction">	
	<form method="post" action="{$WEBEXECUTER}">
		<xsl:call-template name="action"/>
		<xsl:call-template name="error"/>
		
		<table cellspacing="0" class="filter">
			<tr>
				<th> :</th>
				<td>
					<select name="action_id">
						<xsl:for-each select="/data/list/action">
							<option>
								<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
								<xsl:value-of select="@title"/>
							</option>
						</xsl:for-each>						
					</select>
				</td>
				<td>
					<xsl:call-template name="submit"><xsl:with-param name="title" select="''"/></xsl:call-template>
				</td>
			</tr>
			<xsl:if test="/data/report or /data/html">
			<tr>
				<th colspan="2" align="left">:</th>
			</tr>
			</xsl:if>
		</table>

		<div class="report">
		<table cellspacing="0">
			<xsl:for-each select="/data/report">
				<tr>
					<td><div class="infoMessage">
						<xsl:for-each select="row">
							<xsl:value-of select="@text"/><br/>
						</xsl:for-each>
					</div></td>
				</tr>
			</xsl:for-each>
			
			<xsl:for-each select="/data/html">
				<tr>
					<td>			
						<xsl:copy-of select="*|text()"/>
					</td>
				</tr>
			</xsl:for-each>
		</table>
		</div>
		
	</form>
</xsl:template>


<xsl:template name="ContractStatus">

	<xsl:call-template name="error"/>

	 : <b><xsl:value-of select="/data/@statusstr"/></b>.<br/>

	<br/>

	<xsl:choose>
		<!--  canchange=1 (CANCHANGE_DISABLED) -->
		<xsl:when test="/data/@canchange=1">
			   .
		</xsl:when>		
		<!--  canchange=2 (CANCHANGE_DISABLED_BADSTATUS) -->
		<xsl:when test="/data/@canchange=2">
			   -    ""  "".
		</xsl:when>		
		<!--  canchange=3 (CANCHANGE_DO) -->
		<xsl:when test="/data/@canchange=3">
			<form method="post" action="{$WEBEXECUTER}">
				<xsl:call-template name="module"/>
				<input type="hidden" name="action" value="ContractStatus" />
				<input type="hidden" name="command" value="Change" />
			<table cellspacing="0" class="filter">
				<tr>
					<th>
					<xsl:choose>
						<!-- CONTRACT_STATUS_ACTIVE -->
						<xsl:when test="/data/@statusint=0">
							
							<input type="hidden" name="status" value="4" />
						</xsl:when>
						<!-- CONTRACT_STATUS_SUSPENDED -->
						<xsl:when test="/data/@statusint=4">
							
							<input type="hidden" name="status" value="0" />
						</xsl:when>						
					</xsl:choose>
					 
					</th>					
					<!--    ,   ,        -->
					<xsl:choose>
					<xsl:when test="/data/date_list">
						<td>
							<select name="from_date" >
								<xsl:for-each select="/data/date_list/item">
									<option value="{@value}"><xsl:value-of select="@value"/></option>
								</xsl:for-each>
							</select>
						</td>
					</xsl:when>
					<xsl:otherwise>
						<td>
							<select name="day">
								<option value='0'><xsl:if test="/data/date/@day = '0'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>--</option>
								<xsl:call-template name="day_list"/>
							</select>
						</td>
						<td>
							<select name="month">
								<xsl:call-template name="month_list"/>
							</select>
						</td>
						<td>
							<select name="year">
								<option value="{/data/date/@year}"><xsl:value-of select="/data/date/@year"/></option>
								<option value="{/data/date/@year + 1}"><xsl:value-of select="/data/date/@year + 1"/></option>
							</select>
						</td>
					</xsl:otherwise>
					</xsl:choose>					
					<td>
						<xsl:call-template name="submit">
							<xsl:with-param name="title" select="''"/>
							<xsl:with-param name="guid" select="'_set'"/>
						</xsl:call-template>
					</td>
				</tr>
			</table>
			</form>
		</xsl:when>
		<!--  canchange=4 (CANCHANGE_CANCEL_ALLOW) -->
		<xsl:when test="/data/@canchange=4">
			<form method="post" action="{$WEBEXECUTER}">
				<xsl:call-template name="module"/>
				<input type="hidden" name="action" value="ContractStatus" />
				<input type="hidden" name="command" value="Cancel" />
				<div style="float:left; margin-right: 10px;">      .    .</div>
				<div>
					<xsl:call-template name="submit">
						<xsl:with-param name="title" select="''"/>
						<xsl:with-param name="guid" select="'_cancel'"/>
					</xsl:call-template>
				</div>
			</form>
		</xsl:when>
		<!--  canchange=5 (CANCHANGE_CANCEL_DENY) -->
		<xsl:when test="/data/@canchange=5">
			     (-) ,     .
		</xsl:when>
		<!--  canchange  -->
		<xsl:otherwise>
			.   .   . canchange=<xsl:value-of select="/data/@canchange"/>. 
		</xsl:otherwise>
	</xsl:choose>		

	<br/>
		
	<div class="report">
			<table cellspacing="1" class="table800">
			<thead>
			  <tr>
				<td></td>
				<td></td>
				<td></td>
			  </tr>
			</thead>
			<tbody>
			  <xsl:for-each select="statuses/status">
			  <!-- xsl:sort select="position()" data-type="number" order="descending" /-->
				<tr>
					<xsl:if test="@future=1">
						<xsl:attribute name="class">row_status_inactive</xsl:attribute>
					</xsl:if>
					<td><xsl:value-of select="@period"/></td>
					<td><xsl:value-of select="@status"/></td>		
					<td><xsl:value-of select="@comment"/></td>
				</tr>		
			  </xsl:for-each>
			</tbody>
			<tfoot>
			</tfoot>
			</table>
	</div>
	
	<em class="comment">
		     .   
		   .     .  
		     (, ).
	</em>

</xsl:template>


</xsl:stylesheet>