-- 3.5_p1
ALTER TABLE `contract_pattern` ADD `tgid` INT NOT NULL AFTER `dtl`;
ALTER TABLE `contract_pattern` ADD `scrid` TINYINT NOT NULL AFTER `tgid`;
ALTER TABLE `contract_pattern_services` ADD INDEX pid (pid);

CREATE TABLE `tariff_group` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(200) NOT NULL default '',
  `tm` tinyint(3) NOT NULL default '0',
  `df` int(11) NOT NULL default '0',
  `beh` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);

CREATE TABLE `tariff_group_tariff` (
  `tgid` int(11) NOT NULL default '0',
  `tpid` int(11) NOT NULL default '0',
  KEY `tgid` (`tgid`)
);

CREATE TABLE `tariff_change_task` (
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `tpid` int(11) NOT NULL default '0',
  `from_date` date default NULL,
  `ex_time` datetime default NULL,
  PRIMARY KEY  (`id`),
  KEY `cid` (`cid`),
  KEY `ex_time` (`ex_time`)
);

CREATE TABLE `contract_tariff_group` (
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `date1` date default NULL,
  `date2` date default NULL,
  `gid` int(11) NOT NULL default '0',
  `comment` char(200) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `cid` (`cid`)
);

CREATE TABLE `contract_script` (
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `date1` date default NULL,
  `date2` date default NULL,
  `script_id` int(11) NOT NULL default '0',
  `comment` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `cid` (`cid`)
);

CREATE TABLE `script` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
);

CREATE TABLE `script_event_queue` (
  `id` int(11) NOT NULL auto_increment,
  `event` longtext NOT NULL,
  PRIMARY KEY  (`id`)
);

CREATE TABLE `script_event_type` (
  `id` int(11) NOT NULL auto_increment,
  `mid` int(11) NOT NULL default '0',
  `event_id` int(11) NOT NULL default '0',
  `title` varchar(200) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `mid_event` (`mid`,`event_id`)
);

CREATE TABLE `script_function` (
  `id` int(11) NOT NULL auto_increment,
  `script_id` int(11) NOT NULL default '0',
  `title` varchar(100) NOT NULL default '',
  `code` text,
  PRIMARY KEY  (`id`),
  KEY `script_id` (`script_id`)
);

CREATE TABLE `script_function_event_type` (
  `fid` int(11) NOT NULL default '0',
  `etid` int(11) NOT NULL default '0',
  KEY `fid` (`fid`),
  KEY `etid` (`etid`)
);

-- 3.5_p3
ALTER TABLE `scheduled_tasks` CHANGE `hh` `hh` INT(10)  DEFAULT "0" NOT NULL;
-- ALTER TABLE contract_account CHANGE summa summa FLOAT(15, 5);

-- 3.5_p4
ALTER TABLE `user` ADD `gr` BIGINT NOT NULL AFTER `laf`;

CREATE TABLE `bgs_group` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(250) NOT NULL default '',
  `comment` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
CREATE TABLE `bgs_group_action` (
  `gid` int(11) NOT NULL default '0',
  `mid` int(11) NOT NULL default '0',
  `aid` int(11) NOT NULL default '0',
  KEY `gid` (`gid`)
);
CREATE TABLE `bgs_user_group` (
  `uid` int(11) NOT NULL default '0',
  `gid` int(11) NOT NULL default '0',
  KEY `uid` (`uid`),
  KEY `gid` (`gid`)
);
CREATE TABLE `bgs_module_action` (
  `module` varchar(100) NOT NULL default '',
  `data` text NOT NULL
);

ALTER TABLE `contract_parameter_type_2` CHANGE `flat` `flat` INT NOT NULL;
ALTER TABLE `contract_parameter_type_2` ADD `room` VARCHAR(5)  NOT NULL AFTER `flat`;

ALTER TABLE `contract_delete_money` CHANGE `gr` `gr` BIGINT(20)  DEFAULT "0" NOT NULL;
ALTER TABLE `contract_delete_time` CHANGE `gr` `gr` BIGINT(20)  DEFAULT "0" NOT NULL;

ALTER TABLE `user` ADD `status` TINYINT NOT NULL;

CREATE TABLE `bgs_user_action` (
  `uid` int(11) NOT NULL default '0',
  `mid` int(11) NOT NULL default '0',
  `aid` int(11) NOT NULL default '0',
  KEY `uid` (`uid`)
);


-- 3.7
ALTER TABLE `module_tariff_tree` ADD `parent_tree` INT NOT NULL AFTER `tree_id`;

ALTER TABLE `contract_tree_link` DROP PRIMARY KEY;
ALTER TABLE `contract_tree_link` ADD `id` INT AUTO_INCREMENT PRIMARY KEY NOT NULL FIRST;
ALTER TABLE `contract_tree_link` ADD `date1` DATE;
ALTER TABLE `contract_tree_link` ADD `date2` DATE;
ALTER TABLE `contract_tree_link` ADD `title` VARCHAR(200)  NOT NULL AFTER `tree_id`;
ALTER TABLE `contract_tree_link` ADD  KEY cid(cid);

ALTER TABLE `contract_pattern` CHANGE `tpid` `tpid` VARCHAR(250)  NOT NULL;
ALTER TABLE `contract_pattern` CHANGE `tgid` `tgid` VARCHAR(250)  NOT NULL;

ALTER TABLE `script_function_event_type` ADD `mid` INT NOT NULL AFTER `etid`;
ALTER TABLE `script_function_event_type` ADD `event_id` INT NOT NULL AFTER `mid`;

CREATE TABLE `object_type` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(250) NOT NULL default '',
  `name_macros` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`id`)
);
CREATE TABLE `object_param` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(250) NOT NULL default '',
  `type` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
);
CREATE TABLE `object_type_param` (
  `type_id` int(11) NOT NULL default '0',
  `param_id` int(11) NOT NULL default '0',
  `pos` int(11) NOT NULL default '0',
  PRIMARY KEY  (`type_id`,`param_id`)
);
CREATE TABLE `object` (
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `title` varchar(250) NOT NULL default '',
  `type_id` int(11) NOT NULL default '0',
  `date1` date default NULL,
  `date2` date default NULL,
  PRIMARY KEY  (`id`),
  KEY `cid` (`cid`)
);
CREATE TABLE `object_list_value` (
  `id` int(11) NOT NULL auto_increment,
  `param_id` int(11) NOT NULL default '0',
  `title` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `param_id` (`param_id`)
);
CREATE TABLE `object_param_value_text` (
  `object_id` int(11) NOT NULL default '0',
  `param_id` int(11) NOT NULL default '0',
  `value` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`param_id`,`object_id`)
);
CREATE TABLE `object_param_value_address` (
  `object_id` int(11) NOT NULL default '0',
  `param_id` int(11) NOT NULL default '0',
  `hid` int(11) NOT NULL default '0',
  `flat` int(11) NOT NULL default '0',
  `room` varchar(20) NOT NULL default '',
  `pod` int(11) NOT NULL default '0',
  `floor` int(11) NOT NULL default '0',
  `address` varchar(250) NOT NULL default '',
  `comment` varchar(250) NOT NULL default '',
  PRIMARY KEY  (`param_id`,`object_id`)
);
CREATE TABLE `object_param_value_date` (
  `object_id` int(11) NOT NULL default '0',
  `param_id` int(11) NOT NULL default '0',
  `value` date default NULL,
  PRIMARY KEY  (`param_id`,`object_id`)
);
CREATE TABLE `object_param_value_list` (
  `object_id` int(11) NOT NULL default '0',
  `param_id` int(11) NOT NULL default '0',
  `value` int(11) NOT NULL default '0',
  PRIMARY KEY  (`param_id`,`object_id`)
);

-- 3.75
ALTER TABLE source ADD config TEXT NOT NULL;

CREATE TABLE `user_tables` (
  `userId` int(11) default NULL,
  `table_module` varchar(100) default NULL,
  `table_id` varchar(100) default NULL,
  `widths` text,
  `positions` text,
  `hiddens` text,
  KEY `userId` (`userId`),
  KEY `table_module` (`table_module`)
);

ALTER TABLE `contract_pattern` ADD `name_pattern` VARCHAR(200)  NOT NULL DEFAULT '' AFTER `scrid`;


DELETE FROM address_quarter WHERE id=0;
DELETE FROM address_area WHERE id=0;

ALTER TABLE `contract` ADD `scid` INT NOT NULL DEFAULT 0;
ALTER TABLE `contract` ADD INDEX scid (scid);
ALTER TABLE `contract` ADD `sub_list` TEXT  NOT NULL AFTER `scid`;

ALTER TABLE `tariff_tree_config` CHANGE `data` `data` LONGTEXT NOT NULL;
ALTER TABLE `setup` CHANGE `id` `id` VARCHAR(100)  NOT NULL DEFAULT '';

ALTER TABLE `contract_tariff` ADD `pos` TINYINT NOT NULL DEFAULT 0;
ALTER TABLE `contract_tree_link` ADD `pos` TINYINT NOT NULL DEFAULT 0;

ALTER TABLE `contract_charge` ADD INDEX cid (cid);
ALTER TABLE `contract_account` ADD INDEX cid (cid);


ALTER TABLE address_quarter ADD gid INT NOT NULL DEFAULT 0;

CREATE TABLE web_request_count (
  cid int(11) NOT NULL default '0',
  date date NOT NULL default '0000-00-00',
  count int(11) NOT NULL default '0',
  UNIQUE KEY cid (cid)
);

ALTER TABLE bgs_group ADD cgr bigint(20) NOT NULL default '0';
ALTER TABLE user ADD cgr bigint(20) NOT NULL default '0';

ALTER TABLE `contract_balance` ADD INDEX cid (cid);
ALTER TABLE `script_event_queue` CHANGE `event` `event` LONGBLOB NOT NULL;
ALTER TABLE `contract_parameter_type_2` CHANGE `flat` `flat` VARCHAR(10);

-- 4.0
CREATE TABLE IF NOT EXISTS contract_parameter_type_8 (
 cid int(11) NOT NULL DEFAULT '0' ,
 pid int(11) NOT NULL DEFAULT '0' ,
 val int(11) NOT NULL DEFAULT '0' ,
 UNIQUE KEY cid_pid (cid,pid)
);

ALTER TABLE `bgs_group` ADD `pids` VARCHAR(120);
ALTER TABLE `user` ADD `pids` VARCHAR(120);

ALTER TABLE `user` ADD `contract_pid` INT DEFAULT "0" NOT NULL;
ALTER TABLE `user` ADD `contract_cid` INT DEFAULT "0" NOT NULL;

CREATE TABLE IF NOT EXISTS web_request_count (
  cid int(11) NOT NULL DEFAULT '0' ,
  date date NOT NULL DEFAULT '0000-00-00' ,
  count int(11) NOT NULL DEFAULT '0' ,
  UNIQUE KEY cid (cid)
);

-- 4.1
CREATE TABLE IF NOT EXISTS time_type (
  id int(11) NOT NULL auto_increment,
  title varchar(100) NOT NULL DEFAULT '' ,
  data text NOT NULL,
  PRIMARY KEY (id)
);

CREATE TABLE IF NOT EXISTS contract_limit_manage (
  id int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL ,
  clp_id int(11) ,
  summ float(10,2) ,
  date1 datetime NOT NULL ,
  date2 date ,
  pids varchar(100) ,
  rest float(10,2) NOT NULL DEFAULT '0.00' ,
  status int(11) DEFAULT '0' ,
  PRIMARY KEY (id),
   KEY cid (cid),
   KEY clp_id (clp_id)
);

CREATE TABLE IF NOT EXISTS contract_limit_manage_mode (
  cid int(11) NOT NULL ,
  mode int(11) NOT NULL DEFAULT '0' ,
  cnt int(11) NOT NULL DEFAULT '0' ,
  PRIMARY KEY (cid)
);

CREATE TABLE IF NOT EXISTS log_contract_limit_manage_mode (
  dt datetime NOT NULL DEFAULT '0000-00-00 00:00:00' ,
  uid int(11) NOT NULL DEFAULT 0 ,
  mode int(11) NOT NULL DEFAULT 0 ,
  cid int(11) NOT NULL DEFAULT 0 ,
   KEY cid (cid)
);

CREATE TABLE IF NOT EXISTS web_request_limit (
  cid int(11) NOT NULL ,
  lim int(11) ,
  PRIMARY KEY (cid)
);

CREATE TABLE IF NOT EXISTS scheduled_task_run (
  id int(11) NOT NULL auto_increment,
  data blob ,
  PRIMARY KEY (id)
);

-- 4.2
ALTER TABLE address_house CHANGE house house INT DEFAULT "0" NOT NULL;

-- 4.3
ALTER TABLE object ADD pos INT DEFAULT 0 NOT NULL;
UPDATE object SET pos=id WHERE pos=0;
ALTER TABLE object ADD INDEX pos (pos);

ALTER TABLE contract_parameters_pref ADD script TEXT NOT NULL AFTER sort;
ALTER TABLE news CHANGE gr gr BIGINT  DEFAULT "0" NOT NULL;

ALTER TABLE installed_modules ADD COLUMN `id` INT  NOT NULL AUTO_INCREMENT PRIMARY KEY;

ALTER TABLE bgs_user_action CHANGE mid mid VARCHAR(10)  NOT NULL;
ALTER TABLE bgs_group_action CHANGE mid mid VARCHAR(10)  NOT NULL;


ALTER TABLE `installed_modules` ADD COLUMN `enabled` TINYINT(1)  NOT NULL DEFAULT 0;

CREATE TABLE `plugin_config` (
  `pid` int(11) NOT NULL auto_increment COMMENT 'plugin id (from installed_modules)',
  `config` text,
  PRIMARY KEY (`pid`)
);

CREATE TABLE IF NOT EXISTS contract_logon_error (
  lu timestamp NOT NULL  ,
  cid int(11) NOT NULL,
  login varchar(255) NOT NULL,
  dt datetime NOT NULL,
  ip varchar(15) NOT NULL,
  error_code int(11) NOT NULL,
  request_data text NOT NULL,
   KEY cid_dt (cid,dt),
   KEY login_dt (login,dt)
);

CREATE TABLE IF NOT EXISTS contract_logon_last (
  lu timestamp NOT NULL ,
  cid int(11) NOT NULL,
  dt datetime NOT NULL,
  n int(11) NOT NULL,
  ip varchar(15) NOT NULL,
   KEY new_index (cid)
);

CREATE TABLE IF NOT EXISTS contract_logon_ok (
  lu timestamp NOT NULL ,
  cid int(11) NOT NULL,
  dt datetime NOT NULL,
  ip varchar(15) NOT NULL,
  session_id varchar(32) NOT NULL,
  user enum('c','a') NOT NULL DEFAULT 'c' ,
   KEY new_index (cid,dt)
);

CREATE TABLE contract_password_once (
  lu TIMESTAMP NOT NULL ,
  dt DATETIME NOT NULL,
  contract_title VARCHAR(150) NOT NULL,
  `password` VARCHAR(64) NOT NULL UNIQUE
);

ALTER TABLE script_event_type CHANGE mid mid VARCHAR(100)  NOT NULL;
ALTER TABLE script_function_event_type CHANGE mid mid VARCHAR(100)  NOT NULL;
ALTER TABLE contract_logon_ok MODIFY COLUMN `user` ENUM('p','c','a')  NOT NULL DEFAULT 'c';

-- 4.4
ALTER TABLE `user` ADD COLUMN `config` TEXT NOT NULL DEFAULT '';
ALTER TABLE source CHANGE host_or_dir host_or_dir VARCHAR(250)  NOT NULL;
ALTER TABLE address_house CHANGE frac frac VARCHAR(30);
ALTER TABLE log_contract_limit ADD comment VARCHAR(250)  NOT NULL DEFAULT '';
ALTER TABLE log_contract_limit ADD days VARCHAR(4)  NOT NULL DEFAULT 0;
ALTER TABLE contract ADD status TINYINT NOT NULL DEFAULT 0;
ALTER TABLE contract ADD status_date DATE;
ALTER TABLE contract ADD last_tariff_change DATETIME;

CREATE TABLE IF NOT EXISTS object_type_module (
  type_id int(11) NOT NULL DEFAULT 0 ,
  mid int(11) NOT NULL DEFAULT 0 ,
  UNIQUE KEY type_mid (mid,type_id)
);

ALTER TABLE  contract_pattern ADD data blob;

CREATE TABLE IF NOT EXISTS contract_status (
  id int(11) NOT NULL auto_increment,
  cid int(11) NOT NULL,
  status tinyint(4) NOT NULL,
  uid int(11) NOT NULL,
  date1 date,
  date2 date,
  comment varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY  (id)
);

ALTER TABLE contract_status ADD date1 DATE;
ALTER TABLE installed_modules CHANGE init init LONGTEXT NOT NULL;

-- 4.5
ALTER TABLE contract_service ADD emid INT DEFAULT 0 NOT NULL;
ALTER TABLE contract_service ADD eid INT DEFAULT 0 NOT NULL;

ALTER TABLE contract_tariff ADD emid INT DEFAULT 0 NOT NULL;
ALTER TABLE contract_tariff ADD eid INT DEFAULT 0 NOT NULL;

ALTER TABLE payment_register MODIFY COLUMN summa DECIMAL(10,2)  NOT NULL DEFAULT 0;
ALTER TABLE payment_register ADD COLUMN load_log TEXT NOT NULL;

ALTER TABLE address_street ADD COLUMN `p_index` varchar(6) DEFAULT '' not NULL;
ALTER TABLE address_street ADD COLUMN `cityid` int default '-1' not NULL;
ALTER TABLE address_quarter ADD COLUMN `cityid` int default '-1' not NULL;
ALTER TABLE address_house ADD COLUMN `pod` varchar(200) default '' not NULL;
ALTER TABLE address_area ADD COLUMN `cityid` int default '-1' not NULL;

ALTER TABLE contract_comment ADD COLUMN visibled BIT(1) NOT NULL DEFAULT 0 AFTER `dt`;

CREATE TABLE `sql_template` ( 
	`id`     	int(11) AUTO_INCREMENT NOT NULL,
	`user_id`	int(11) NOT NULL,
	`title`  	varchar(150) NOT NULL,
	`text`   	text NOT NULL,
	PRIMARY KEY(`id`)
);

ALTER TABLE contract_balance MODIFY summa1 DECIMAL(10,2) NOT NULL;
ALTER TABLE contract_balance MODIFY summa2 DECIMAL(10,2) NOT NULL;
ALTER TABLE contract_balance MODIFY summa3 DECIMAL(10,2) NOT NULL;
ALTER TABLE contract_balance MODIFY summa4 DECIMAL(10,2) NOT NULL;

ALTER TABLE contract_payment MODIFY summa DECIMAL(10,2) NOT NULL;
ALTER TABLE contract_charge MODIFY summa DECIMAL(10,2) NOT NULL;

ALTER TABLE contract_limit_manage MODIFY summ DECIMAL(10,2) NOT NULL;
ALTER TABLE contract_limit_period MODIFY value DECIMAL(10,2) NOT NULL;
ALTER TABLE log_contract_limit MODIFY nvalue DECIMAL(10,2) NOT NULL;

ALTER TABLE contract MODIFY closesumma DECIMAL(10,2) NOT NULL;
ALTER TABLE tariff_group ADD COLUMN pos INT  NOT NULL;

ALTER TABLE contract_parameter_type_1 MODIFY val varchar(255) NOT NULL DEFAULT "";

ALTER TABLE contract_status ADD INDEX `cid`(`cid`);

ALTER TABLE script_event_type ADD COLUMN event_mode TINYINT NOT NULL DEFAULT 1 AFTER mid;

ALTER TABLE tariff_plan ADD COLUMN actual INT NOT NULL DEFAULT 1;

ALTER TABLE log_contract_limit MODIFY days VARCHAR(4);

ALTER TABLE user ADD `cgr_mode` TINYINT NOT NULL DEFAULT 1;
ALTER TABLE bgs_group ADD `cgr_mode` TINYINT NOT NULL DEFAULT 1;

-- 4.6
--  CRM 
ALTER TABLE contract ADD COLUMN crm_customer_id INTEGER  NOT NULL;
ALTER TABLE contract ADD INDEX crm_customer_id(crm_customer_id);

ALTER TABLE user ADD COLUMN crm_user_id INTEGER  NOT NULL;
ALTER TABLE contract ADD INDEX crm_user_id(crm_user_id);

CREATE TABLE  contract_parameter_type_9 (
  `pid` int(11) NOT NULL,
  `value` varchar(255) default NULL,
  `phone1` varchar(11) default NULL,
  `phone_comm1` varchar(40) default NULL,
  `phone2` varchar(11) default NULL,
  `phone_comm2` varchar(40) default NULL,
  `phone3` varchar(11) default NULL,
  `phone_comm3` varchar(40) default NULL,
  `phone4` varchar(11) default NULL,
  `phone_comm4` varchar(40) default NULL,
  `phone5` varchar(11) default NULL,
  `phone_comm5` varchar(40) default NULL,
  `cid` int(11) NOT NULL,
   KEY  cid_pid(cid, pid)
); 

ALTER TABLE contract_parameter_type_9 
 ADD COLUMN `phone_format1` VARCHAR(2)  DEFAULT NULL AFTER `phone1`,
 ADD COLUMN `phone_format2` VARCHAR(2)  DEFAULT NULL AFTER `phone2`,
 ADD COLUMN `phone_format3` VARCHAR(2)  DEFAULT NULL AFTER `phone3`,
 ADD COLUMN `phone_format4` VARCHAR(2)  DEFAULT NULL AFTER `phone4`,
 ADD COLUMN `phone_format5` VARCHAR(2)  DEFAULT NULL AFTER `phone5`;

ALTER TABLE contract ADD COLUMN sub_mode TINYINT(4) NOT NULL AFTER sub_list;

--    
ALTER TABLE `address_house` CHANGE COLUMN `pod` `pod_diapazon` varchar(200) NOT NULL;

--   
ALTER TABLE `tariff_plan` ADD COLUMN `actual` INT  DEFAULT 1 AFTER `lm`;
ALTER TABLE `tariff_plan` ADD COLUMN `gr` bigint(20) default 0;
ALTER TABLE `tariff_plan` ADD COLUMN `pattern` varchar(255) default NULL;
ALTER TABLE `tariff_plan` ADD COLUMN `face` tinyint(4) default 0;

--  ""  
ALTER TABLE `service` ADD COLUMN `isusing` TINYINT(1) default 1;

CREATE TABLE contract_module (
  cid INTEGER  NOT NULL,
  mid INTEGER  NOT NULL,
  PRIMARY KEY (cid, mid)
);

CREATE TABLE  contract_status_log (
  `id` int(11) NOT NULL auto_increment,
  `status` tinyint(4) NOT NULL,
  `uid` int(11) NOT NULL,
  `date` datetime NOT NULL,
  `comment` varchar(250) NOT NULL,
  `cid` int(11) NOT NULL default '0',
  `date1` date NOT NULL,
  `date2` date default NULL,
  PRIMARY KEY  (`id`)
);

CREATE TABLE  billing_event_bus (
  id int(11) NOT NULL auto_increment,
  time timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  event longblob,
  PRIMARY KEY  (id)
);

CREATE TABLE  periodic_errors (
  id int(11) NOT NULL auto_increment,
  marker varchar(50) default NULL,
  calc_date date default NULL,
  subject varchar(50) default NULL,
  text text,
  reg_time date default NULL,
  PRIMARY KEY  (`id`)
);

ALTER TABLE contract_parameters_pref ADD COLUMN history BOOLEAN  NOT NULL AFTER script;

CREATE TABLE contract_parameter_type_1_log (
  cid int(11) NOT NULL,
  pid int(11) NOT NULL,
  val varchar(255) default NULL,
  dt_change datetime NOT NULL,
  user_id int(11) NOT NULL,
  KEY cid_pid (cid,pid)
);

CREATE TABLE contract_parameter_type_5_log (
  cid int(11) NOT NULL,
  pid int(11) NOT NULL,
  val int(2) default NULL,
  dt_change datetime NOT NULL,
  user_id int(11) NOT NULL,
  KEY `cid_pid` (cid,pid)
);

CREATE TABLE contract_parameter_type_6_log (
  cid int(11) NOT NULL,
  pid int(11) NOT NULL,
  val date default NULL,
  dt_change datetime NOT NULL,
  user_id int(11) NOT NULL,
  KEY cid_pid (cid,pid)
);

CREATE TABLE contract_parameter_type_7_log (
  cid int(11) NOT NULL,
  pid int(11) NOT NULL,
  val int(11) default NULL,
  title varchar(100) default NULL,
  dt_change datetime NOT NULL,
  user_id int(11) NOT NULL,
  KEY cid_pid (cid,pid)
);

CREATE TABLE contract_parameter_type_8_log (
  cid int(11) NOT NULL,
  pid int(11) NOT NULL,
  val int(11) default NULL,
  dt_change datetime NOT NULL,
  user_id int(11) NOT NULL,
  KEY cid_pid (cid,pid)
);

--     value,     
CREATE TABLE contract_parameter_type_9_log (
  cid int(11) NOT NULL,
  pid int(11) NOT NULL,
  value varchar(255) default NULL,
  phone1 varchar(11) default NULL,
  phone_format1 varchar(2) default NULL,
  phone_comm1 varchar(40) default NULL,
  phone2 varchar(11) default NULL,
  phone_format2 varchar(2) default NULL,
  phone_comm2 varchar(40) default NULL,
  phone3 varchar(11) default NULL,
  phone_format3 varchar(2) default NULL,
  phone_comm3 varchar(40) default NULL,
  phone4 varchar(11) default NULL,
  phone_format4 varchar(2) default NULL,
  phone_comm4 varchar(40) default NULL,
  phone5 varchar(11) default NULL,
  phone_format5 varchar(2) default NULL,
  phone_comm5 varchar(40) default NULL,
  dt_change datetime NOT NULL,
  user_id int(11) NOT NULL,
  KEY cip_pid (cid,pid)
);

ALTER TABLE contract_parameter_type_9_log CHANGE COLUMN `value` `val` VARCHAR(255) DEFAULT NULL;

CREATE TABLE contract_pattern_modules ( 
    pid	int(11) NOT NULL,
    mid	int(11) NOT NULL 
  );
  
--      contract
ALTER TABLE contract DROP INDEX pfid_id;
ALTER TABLE contract DROP INDEX id_pfid;
ALTER TABLE contract DROP INDEX pfid_date2_id;
ALTER TABLE contract DROP INDEX pfid_gr_date2_id;
ALTER TABLE contract DROP INDEX date2_;
ALTER TABLE contract DROP INDEX pfid_date2;
ALTER TABLE contract DROP INDEX pfid_date2_gr;
ALTER TABLE contract DROP INDEX pfid_gr_date2;

--      contract_account
ALTER TABLE contract_account DROP INDEX yy_mm_cid;

--      
CREATE TABLE contract_comment_patterns (
  id INT  NOT NULL AUTO_INCREMENT,
  title VARCHAR(25)  NOT NULL,
  pat VARCHAR(255)  NOT NULL,
  PRIMARY KEY (id)
);

ALTER TABLE contract_pattern ADD COLUMN patid INT  NOT NULL DEFAULT 0;
ALTER TABLE contract ADD COLUMN title_pattern_id INT  NOT NULL DEFAULT 0;

ALTER TABLE user ADD cgr_mode TINYINT NOT NULL DEFAULT 1;
ALTER TABLE bgs_group ADD cgr_mode TINYINT NOT NULL DEFAULT 1;

ALTER TABLE payment_register ADD COLUMN ptitle VARCHAR(50) NOT NULL;
ALTER TABLE payment_register ADD COLUMN regtype INT NOT NULL DEFAULT 0;

ALTER TABLE contract_account MODIFY summa DECIMAL(15,5);


CREATE TABLE contract_parameter_type_2_log (
  cid int(11) NOT NULL,
  pid int(11) NOT NULL,
  val varchar(255) default NULL,
  dt_change datetime NOT NULL,
  user_id int(11) NOT NULL,
  KEY cid_pid (cid,pid)
);

CREATE TABLE contract_parameter_type_3_log (
  cid int(11) NOT NULL,
  pid int(11) NOT NULL,
  val varchar(255) default NULL,
  dt_change datetime NOT NULL,
  user_id int(11) NOT NULL,
  KEY cid_pid (cid,pid)
);

CREATE TABLE contract_parameter_type_4_log (
  cid int(11) NOT NULL,
  pid int(11) NOT NULL,
  val varchar(255) default NULL,
  dt_change datetime NOT NULL,
  user_id int(11) NOT NULL,
  KEY cid_pid (cid,pid)
);

CREATE TABLE `script_lib` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(100) NOT NULL,
  `title` VARCHAR(255) NOT NULL,
  `script` TEXT NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
);

ALTER TABLE `contract` MODIFY COLUMN `sub_list` TEXT  NOT NULL;
ALTER TABLE `contract_pattern` MODIFY COLUMN `scrid` VARCHAR(250) NOT NULL;
DELETE FROM scheduled_class WHERE class="bitel.billing.server.contract.ContractMonitor";

ALTER TABLE contract_parameter_type_9 DROP PRIMARY KEY;
ALTER TABLE contract_parameter_type_9 ADD KEY cid_pid (cid, pid);

CREATE TABLE global_script (
  id INT  NOT NULL AUTO_INCREMENT,
  title VARCHAR(255) ,
  script TEXT ,
  PRIMARY KEY (id)
);

CREATE TABLE  `tariff_option` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(250) NOT NULL,
  `tariff_ids` text NOT NULL,
  `comment` varchar(250) NOT NULL,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  PRIMARY KEY (`id`)
);

CREATE TABLE  `tariff_option_activate_mode` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `option_id` int(11) NOT NULL,
  `charge_type_id` int(11) NOT NULL,
  `charge_summa` decimal(10,2) NOT NULL,
  `period_mode` tinyint(2) NOT NULL,
  `period_col` int(11) NOT NULL,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `option_id` (`option_id`)
);

CREATE TABLE  `contract_tariff_option` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `option_id` int(11) NOT NULL,
  `time_from` datetime NOT NULL,
  `time_to` datetime NOT NULL,
  `charge_id` int(11) NOT NULL,
  `summa` decimal(10,2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`)
);

-- #BLOCK#
CREATE TABLE  _contract_status_bak_bir SELECT * FROM contract_status;
DELETE FROM contract_status WHERE (SELECT COUNT(*) FROM contract WHERE contract.id=contract_status.cid)=0;
-- #ENDB#

ALTER TABLE  periodic_errors MODIFY marker varchar(250) NOT NULL;
ALTER TABLE  periodic_errors MODIFY subject varchar(250) NOT NULL;

-- 5.0

--      ,      .
ALTER TABLE `tariff_group_tariff`
ADD COLUMN `date1` date DEFAULT NULL COMMENT '      ',
ADD COLUMN `date2` date DEFAULT NULL COMMENT '      ';

ALTER TABLE `tariff_option` ADD COLUMN `depends` VARCHAR(255)  NOT NULL DEFAULT '';
ALTER TABLE `tariff_option` ADD COLUMN `incompatible` VARCHAR(255)  NOT NULL DEFAULT '';

ALTER TABLE `contract_tariff_option` MODIFY COLUMN `time_to` DATETIME NULL;

ALTER TABLE `contract_tariff_option` ADD COLUMN `activated_mode` INT(11) NOT NULL;
ALTER TABLE `contract_tariff_option` ADD COLUMN `activated_time` DATETIME NOT NULL;

ALTER TABLE `contract_tariff_option` ADD COLUMN `deactivated_time` DATETIME NULL;

ALTER TABLE `tariff_option_activate_mode` ADD COLUMN `deactivation_mode` INT(11) NOT NULL;

ALTER TABLE `tariff_option_activate_mode` ADD COLUMN `reactivation_mode` INT(11) NOT NULL DEFAULT 0;

ALTER TABLE `tariff_option` ADD COLUMN `contract_groups` BIGINT NOT NULL DEFAULT 0;

--      
ALTER TABLE `global_script` ADD COLUMN `user_id` int(11)  NOT NULL;
ALTER TABLE `global_script` ADD COLUMN `change_time` TIMESTAMP NOT NULL;
ALTER TABLE `script_lib` ADD COLUMN `user_id` int(11)  NOT NULL;
ALTER TABLE `script_lib` ADD COLUMN `change_time` TIMESTAMP NOT NULL;
ALTER TABLE `script_function` ADD COLUMN `user_id` int(11)  NOT NULL;
ALTER TABLE `script_function` ADD COLUMN `change_time` TIMESTAMP NOT NULL;

-- 5.1
ALTER TABLE contract_pattern MODIFY scrid VARCHAR(250) NOT NULL;
ALTER TABLE `log_contract_mode` CHANGE COLUMN `mode` `value` INTEGER  NOT NULL DEFAULT 0;

ALTER TABLE `object_param` ADD COLUMN `comment` VARCHAR(255)  NOT NULL;
ALTER TABLE `object_type` ADD COLUMN `comment` VARCHAR(255)  NOT NULL;

CREATE TABLE `log_contract_face` (
  `dt` DATETIME  NOT NULL DEFAULT '0000-00-00 00:00:00',
  `uid` INTEGER  NOT NULL DEFAULT 0,
  `value` INTEGER  NOT NULL DEFAULT 0,
  `cid` INTEGER  NOT NULL DEFAULT 0
);

--       
DROP TABLE IF EXISTS payonline_rebill_$mid;
DROP TABLE IF EXISTS payonline_rebill_transaction_$mid;

ALTER TABLE `object_type` ADD COLUMN `ishidden` BOOLEAN  DEFAULT 0;
ALTER TABLE `address_city` ADD COLUMN `pos` INTEGER DEFAULT 1;
ALTER TABLE `installed_modules` ADD COLUMN `uninstall` LONGTEXT;

ALTER TABLE script_event_type MODIFY event_id VARCHAR(255) NOT NULL DEFAULT '0';
ALTER TABLE script_function_event_type MODIFY event_id VARCHAR(255) NOT NULL DEFAULT '0';

CREATE TABLE `user_menu` (
  `uid` int(11) NOT NULL,
  `menu_id` varchar(50) NOT NULL,
  `hidden` tinyint(2) NOT NULL,
  PRIMARY KEY (`uid`,`menu_id`)
);

CREATE TABLE `bgs_group_menu` (
  `gid` int(11) NOT NULL,
  `menu_id` varchar(50) NOT NULL,
  `hidden` tinyint(2) NOT NULL,
  PRIMARY KEY (`gid`,`menu_id`)
);

ALTER TABLE `contract_tariff` ADD COLUMN `replaced_from` INTEGER;

ALTER TABLE `address_house` DROP INDEX  `House`;
ALTER TABLE `address_house` DROP COLUMN  `cityid`;
ALTER TABLE `address_house` ADD UNIQUE INDEX  `HouseU`(`streetid`, `house`, `frac`);

CREATE TABLE  `scheduled_periodic_run` (
  `description` text,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
);

ALTER TABLE `scheduled_task_run` ADD COLUMN `description` TEXT;
ALTER TABLE `scheduled_task_run` ADD COLUMN `executed` TINYINT(2) DEFAULT 0;

ALTER TABLE `contract_charge` CHANGE COLUMN `lm` `time_change` TIMESTAMP  NOT NULL;
ALTER TABLE `contract_payment` ADD COLUMN `time_change` TIMESTAMP  NOT NULL;

CREATE TABLE `contract_parameter_type_phone` (
  `pid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `value` varchar(255) NOT NULL,
  PRIMARY KEY (`pid`,`cid`)
);

CREATE TABLE `contract_parameter_type_phone_item` (
  `pid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `n` tinyint(4) NOT NULL,
  `phone` varchar(11) DEFAULT NULL,
  `format` varchar(2) DEFAULT NULL,
  `comment` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`pid`,`cid`,`n`),
  KEY `phone` (`phone`)
);

CREATE TABLE `contract_parameter_type_phone_log` (
  `pid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `val` varchar(255) DEFAULT NULL,
  `data` text,
  `dt_change` datetime NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `cid_pid` (`cid`,`pid`)
);

ALTER TABLE `user`  ADD COLUMN `email` char(50) NOT NULL;

ALTER TABLE `module_config` MODIFY COLUMN `config` longtext NULL;

ALTER TABLE `contract_tree_link` ADD COLUMN  `emid` int(11) NOT NULL DEFAULT '0';
ALTER TABLE `contract_tree_link` ADD COLUMN   `eid` int(11) NOT NULL DEFAULT '0';

ALTER TABLE `user_dispatch_reference` ADD COLUMN `client_class_name` VARCHAR(200)  NOT NULL;
UPDATE user_dispatch_reference SET client_class_name='bitel.billing.module.contract.ContractDispatchBalanceEditor' WHERE web_action='DispatchBalance';

ALTER TABLE `address_house` MODIFY `pod_diapazon` TEXT NOT NULL;
ALTER TABLE `address_city` ADD COLUMN  `country_id` int(11) NOT NULL DEFAULT '1';
CREATE TABLE  `address_country` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL DEFAULT '',
  `last_update` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
);

ALTER TABLE `scheduled_task_run` ADD COLUMN `start_time` DATETIME;
ALTER TABLE `scheduled_periodic_run` ADD COLUMN `amount` INTEGER  DEFAULT 0;

--  
CREATE TABLE `sequential_ids` (
  `mid` VARCHAR(8)  NOT NULL,
  `value` BIGINT  NOT NULL,
  PRIMARY KEY (`mid`)
);

--   
ALTER TABLE object_param ADD COLUMN history tinyint(4) NOT NULL;
	
CREATE TABLE object_param_value_text_log ( 
    object_id	int(11) NOT NULL,
    param_id 	int(11) NOT NULL,
    value    	varchar(250) NOT NULL,
    dt_change datetime NOT NULL,
    user_id int(11) NOT NULL,
     KEY(param_id,object_id)
);

CREATE TABLE object_param_value_list_log ( 
    object_id	int(11) NOT NULL,
    param_id 	int(11) NOT NULL,
    value    	int(11) NOT NULL,
    title    	varchar(250) NOT NULL,
    dt_change datetime NOT NULL,
    user_id int(11) NOT NULL,
     KEY(param_id,object_id)
);

CREATE TABLE object_param_value_date_log ( 
    object_id	int(11) NOT NULL,
    param_id 	int(11) NOT NULL,
    value    	date NULL,
    dt_change datetime NOT NULL,
    user_id int(11) NOT NULL,
     KEY(param_id,object_id)
);

CREATE TABLE object_param_value_address_log ( 
    object_id 	int(11) NOT NULL,
    param_id  	int(11) NOT NULL,
    value   	varchar(250) NOT NULL,
    dt_change datetime NOT NULL,
    user_id int(11) NOT NULL,
     KEY(object_id,param_id)
);

--    
CREATE TABLE object_param_value_flag ( 
    object_id	int(11) NOT NULL,
    param_id	int(11) NOT NULL,
    value	int(2) NOT NULL,
    PRIMARY KEY(object_id,param_id)
);

CREATE TABLE object_param_value_flag_log ( 
    object_id	int(11) NOT NULL,
    param_id	int(11) NOT NULL,
    value	int(2) NOT NULL,
    dt_change datetime NOT NULL,
    user_id int(11) NOT NULL,
    KEY(object_id,param_id)
);

CREATE TABLE `contract_autopayment` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `contract_id` int(11) NOT NULL DEFAULT '0',
    `module_id` int(11) NOT NULL DEFAULT '0',
    `date_from` datetime DEFAULT NULL,
    `date_to` datetime DEFAULT NULL,
    `user_from` int(11) NOT NULL DEFAULT '-2',
    `user_to` int(11) NOT NULL DEFAULT '-2',
    PRIMARY KEY (`id`),
    KEY `cid_mid` (`contract_id`,`module_id`)
);

CREATE TABLE `contract_module_config` (
  `contract_id` int(11) NOT NULL DEFAULT '0',
  `module_id` int(11) NOT NULL DEFAULT '0',
  `key` varchar(50) NOT NULL DEFAULT '',
  `value` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`contract_id`,`module_id`,`key`),
  KEY `module_id_key` (`module_id`,`key`)
);

CREATE TABLE `contract_plugin_config` (
  `contract_id` int(11) NOT NULL DEFAULT '0',
  `plugin_id` int(11) NOT NULL DEFAULT '0',
  `key` varchar(50) NOT NULL DEFAULT '',
  `value` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`contract_id`,`plugin_id`,`key`),
  KEY `plugin_id_key` (`plugin_id`,`key`)
);

--     695     
UPDATE user SET cgr_mode=0 WHERE cgr=0;

ALTER TABLE `payment_register` ADD COLUMN `errorCount` INT NOT NULL DEFAULT '-1' AFTER `count`;

ALTER TABLE `tariff_option` ADD COLUMN `hideForWeb` SMALLINT NOT NULL DEFAULT '0'  AFTER `contract_groups` ,
ADD COLUMN `hideForWebContractGroups` BIGINT NOT NULL DEFAULT '0'  AFTER `hideForWeb` ,
ADD COLUMN `hideForWebContractGroupsMode` SMALLINT NOT NULL DEFAULT '0'  AFTER `hideForWebContractGroups` ;

UPDATE setup SET id='closed_date_1' WHERE id='1';

ALTER TABLE `user` CHANGE COLUMN `pids` `pids` VARCHAR(512) NULL DEFAULT NULL ;
ALTER TABLE `bgs_group` CHANGE COLUMN `pids` `pids` VARCHAR(512) NULL DEFAULT NULL ;


-- ---------------------------------------------------------------------------------------------
-- ,      ,    !!!! 
--       kernel/dump.bat!										   	
-- ---------------------------------------------------------------------------------------------

--         !!!!
-- #BLOCK#
DELETE FROM script_event_type WHERE mid='0';
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 1, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 3, "");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 2, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 4, "    ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 5, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 9, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 10, "   ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 11, "/  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 12, "  .   Web ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 15, "  .   ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 16, " .   ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 17, "()       Web");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 18, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 19, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 20, "        Web");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES ( 0, 21, "   ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 22, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 23, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 24, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 25, "     Web");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 26, "    ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 27, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 28, "    ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 29, "   ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 30, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 31, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 32, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 33, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 34, "        Web");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 35, "/   ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 36, "    ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 37, "     ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 38, "     (Web)");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 41, "/  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 43, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 44, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 45, "   ");
INSERT INTO script_event_type (mid, event_id, event_mode, title) VALUES (0, 'bitel.billing.server.script.bean.event.ContractWebLoginEvent', 1, '  Web');
INSERT INTO script_event_type (mid, event_id, event_mode, title) VALUES (0, 'ru.bitel.bgbilling.kernel.event.events.ContractAddingSubEvent', 1, '  ');

-- #ENDB#
--         !!!!